
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double[] d_array0 = null;
    double[] d_array3 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array0, d_array_array5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-0.99999994f));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(1.0d, 0.0d, 100.0d, 1.0d, 100.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 200.0d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array7 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array5, 1.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test007() {}
// Defects4J: flaky method
//   @Test
//   public void test007() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }
// 
// 
//     double d0 = org.apache.commons.math3.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.9566472967661909d);
// 
//   }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0d, 10.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(100.0f, (-1.0f), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    double[] d_array2 = new double[] { 100.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D0, vector3D1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distance(vector1D0, vector1D1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection9 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException11 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection9, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection12 = nonMonotonicSequenceException11.getDirection();
    double[] d_array16 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.copyOf(d_array16, 100);
    double[][] d_array_array19 = new double[][] { d_array18 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array3, orderDirection12, d_array_array19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(100.0d, 100.0d, 0.0d, 10.0d, 0.0d, 100.0d, 0.9566472967661909d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(0.0d, vector1D1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(100.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.00499987500625d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    double d0 = org.apache.commons.math3.util.Precision.SAFE_MIN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.2250738585072014E-308d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    long[] long_array3 = new long[] { 10L, 10L, (-1L) };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkNonNegative(long_array3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(Double.NaN, vector3D1, 0.9566472967661909d, vector3D3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = null;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D4 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(2.2250738585072014E-308d, vector1D1, 100.0d, vector1D3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math3.exception.MathArithmeticException();

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.Region region1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine2 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane0, region1);
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane3 = null;
    org.apache.commons.math3.geometry.partitioning.Region region4 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine5 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane3, region4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = subLine2.intersection(subLine5, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    java.awt.geom.AffineTransform affineTransform0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Transform transform1 = org.apache.commons.math3.geometry.euclidean.twod.Line.getTransform(affineTransform0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(10.0d, 0.9566472967661909d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.019248151357853363d));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double[] d_array3 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array3);
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkPositive(d_array3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(200.0d, vector3D1, 10.0d, vector3D3, 0.9566472967661909d, vector3D5, 2.2250738585072014E-308d, vector3D7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0d, (-1.0d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(100.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(10.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.0d, 0.0d, 10.0d, (-1.0d), 100.00499987500625d, Double.NaN, Double.NaN, (-0.019248151357853363d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = null;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = null;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(200.0d, vector1D1, 2.2250738585072014E-308d, vector1D3, 200.0d, vector1D5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(100.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E200d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(Double.NaN, 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(100.00499987500625d, Double.NaN, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)2.2250738585072014E-308d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.apache.commons.math3.geometry.euclidean.twod.Line line0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Line line1 = new org.apache.commons.math3.geometry.euclidean.twod.Line(line0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array5, 100);
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array11);
    double[] d_array13 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array11);
    double[] d_array14 = org.apache.commons.math3.util.MathArrays.copyOf(d_array11);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array15 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array5, d_array11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d3 = vector3D2.getY();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine4 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(vector3D0, vector3D2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8414709848078965d));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(100.0f, 10.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(200.0d, 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 200.0d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.0d, 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22025.465794806718d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d3 = vector2D2.getNorm();
    double d4 = vector2D0.distance((org.apache.commons.math3.geometry.Vector)vector2D2);
    java.text.NumberFormat numberFormat5 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = vector2D2.toString(numberFormat5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.00499987500625d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.2250738585072014E-308d, (-0.8414709848078965d), 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-1.0f), (-0.8414709848078965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { (-1) };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException4 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable0, localizable1, obj_array3);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException8 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable6, (java.lang.Number)100);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { notStrictlyPositiveException8 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException4, localizable5, obj_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.partitioning.BSPTreeVisitor bSPTreeVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      bSPTree3.visit(bSPTreeVisitor4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    double[] d_array0 = null;
    double[] d_array5 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array5, 100);
    org.apache.commons.math3.util.MathArrays.scaleInPlace(10.0d, d_array5);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection12 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException14 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection12, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection15 = nonMonotonicSequenceException14.getDirection();
    boolean b18 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array5, orderDirection15, false, false);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array19 = org.apache.commons.math3.util.MathArrays.ebeDivide(d_array0, d_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double[] d_array3 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array3);
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array3);
    double[] d_array10 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array12 = org.apache.commons.math3.util.MathArrays.copyOf(d_array10, 100);
    org.apache.commons.math3.util.MathArrays.scaleInPlace(10.0d, d_array10);
    double[] d_array15 = org.apache.commons.math3.util.MathArrays.copyOf(d_array10, 0);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array16 = org.apache.commons.math3.util.MathArrays.ebeDivide(d_array5, d_array15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(Double.NaN, (-0.8414709848078965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.0E200d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)2.0d, (java.lang.Number)10.0f, false);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.019248151357853363d), 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.01924815135785336d));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    double d0 = org.apache.commons.math3.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array2 = org.apache.commons.math3.util.MathArrays.buildArray(field0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    boolean b3 = vector2D0.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d5 = vector3D4.getY();
    boolean b6 = vector3D4.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D4, vector3D7);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = vector2D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector3D7);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    double[] d_array8 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array8);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.convolve(d_array3, d_array8);
    double[] d_array14 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array14);
    double[] d_array16 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array14);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array3, d_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = vector1D0.negate();
    org.apache.commons.math3.geometry.Vector vector3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D4 = vector1D0.add(Double.POSITIVE_INFINITY, vector3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d3 = vector2D2.getNorm();
    double d4 = vector2D0.distance((org.apache.commons.math3.geometry.Vector)vector2D2);
    double d5 = vector2D2.getY();
    double d6 = vector2D2.getNorm1();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d8 = vector3D7.getY();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = vector2D2.subtract((org.apache.commons.math3.geometry.Vector)vector3D7);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D0.scalarMultiply(1.0d);
    java.lang.String str3 = vector1D0.toString();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D5.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = vector1D0.add(1.0E200d, (org.apache.commons.math3.geometry.Vector)vector1D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d9 = vector3D8.getY();
    boolean b10 = vector3D8.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D8, vector3D11);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = vector1D7.distance1((org.apache.commons.math3.geometry.Vector)vector3D8);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{1}"+ "'", str3.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array5, 100);
    double[] d_array12 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array14 = org.apache.commons.math3.util.MathArrays.copyOf(d_array12, 100);
    org.apache.commons.math3.util.MathArrays.scaleInPlace(10.0d, d_array12);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection19 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException21 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection19, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection22 = nonMonotonicSequenceException21.getDirection();
    boolean b25 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array12, orderDirection22, false, false);
    double[] d_array29 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array31 = org.apache.commons.math3.util.MathArrays.copyOf(d_array29, 100);
    double[] d_array34 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array34);
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.convolve(d_array29, d_array34);
    double[][] d_array_array37 = new double[][] { d_array34 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array7, orderDirection22, d_array_array37);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0f, 1.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line7 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = vector2D0.normalize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line7 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D4);
    org.apache.commons.math3.geometry.Vector vector8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = vector2D4.dotProduct(vector8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.99999994f), (-1.0f), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(22025.465794806718d, (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-22025.465794806718d));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.2250738585072014E-308d, 1.0E200d, (-0.01924815135785336d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    double[] d_array2 = new double[] { 0.0d, 0.0d };
    double[] d_array4 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2, 1);
    double[] d_array7 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection11 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException13 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection11, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection14 = nonMonotonicSequenceException13.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array7, orderDirection14, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection14, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection14);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    org.apache.commons.math3.geometry.Vector vector1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = vector2D0.distance1(vector1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { (-1) };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException4 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable0, localizable1, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathIllegalStateException4.getContext();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree6 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)exceptionContext5);
    org.apache.commons.math3.geometry.partitioning.BSPTreeVisitor bSPTreeVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      bSPTree6.visit(bSPTreeVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line7 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D4);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D4, vector2D10);
    double d15 = vector2D10.getX();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = vector2D10.normalize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.189207115002721d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(1.189207115002721d, 22025.465794806718d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(100.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E32f);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(22025.465794806718d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.0E200d, 1.189207115002721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E200d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line7 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(1.4142135623730951d, vector3D9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = vector2D0.subtract((org.apache.commons.math3.geometry.Vector)vector3D10);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(Double.NaN, 1.4142135623730951d, 1.189207115002721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(100.0f, (-0.99999994f), 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    double[] d_array2 = new double[] { 0.0d, 0.0d };
    double[] d_array4 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2, 1);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection5 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b8 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection5, false, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-0.01924815135785336d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-0.019248151357853363d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.019246963010430294d));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.0E200d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException15 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree16 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    double d19 = vector2D17.getNormSq();
    double d20 = vector2D17.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space22 = vector2D21.getSpace();
    double d23 = vector2D21.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line24 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D17, vector2D21);
    boolean b25 = bSPTree16.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    boolean b26 = line11.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d28 = vector3D27.getY();
    // The following exception was thrown during execution in test generation
    try {
      double d29 = line24.getOffset((org.apache.commons.math3.geometry.Vector)vector3D27);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.4142135623730951d, 0.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(1.4142135623730951d, (-0.01924815135785336d), 0.0d, 1.189207115002721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.02722099670088633d));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    double[] d_array2 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException8 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection6, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection9 = nonMonotonicSequenceException8.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection9, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection12 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b15 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection12, false, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.4142135623730951d, 2.2250738585072014E-308d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.geometry.euclidean.twod.Line line13 = line11.getReverse();
    double d14 = line11.getOriginOffset();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.Region region1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine2 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane0, region1);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane3 = subLine2.copySelf();
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane4 = subLine2.copySelf();
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane5 = null;
    org.apache.commons.math3.geometry.partitioning.Region region6 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine7 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane5, region6);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane8 = subLine7.copySelf();
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane9 = subLine7.copySelf();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = subLine2.intersection(subLine7, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane9);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(100.00499987500625d, (-0.019246963010430294d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-0.01924815135785336d), (-0.01924815135785336d));
    org.apache.commons.math3.geometry.Vector vector3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = vector3D2.add(vector3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-1.0d), 22025.465794806718d, 0.0d, 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-22025.465794806718d));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D0.scalarMultiply(1.0d);
    java.lang.String str3 = vector1D0.toString();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D4 = vector1D0.getZero();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = vector1D0.add(2.2250738585072014E-308d, (org.apache.commons.math3.geometry.Vector)vector3D6);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{1}"+ "'", str3.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    double[] d_array0 = null;
    double[] d_array4 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array6 = org.apache.commons.math3.util.MathArrays.copyOf(d_array4, 100);
    double[] d_array9 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array9);
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.convolve(d_array4, d_array9);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array12 = org.apache.commons.math3.util.MathArrays.ebeSubtract(d_array0, d_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.copyOf(d_array8, 1);
    double[] d_array14 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array14);
    double[] d_array16 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array14);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.ebeAdd(d_array8, d_array16);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array18 = org.apache.commons.math3.util.MathArrays.ebeDivide(d_array5, d_array16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection3, false);
    java.lang.String str6 = nonMonotonicSequenceException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math3.exception.NonMonotonicSequenceException: points 9 and 10 are not increasing (-1 > 100)"+ "'", str6.equals("org.apache.commons.math3.exception.NonMonotonicSequenceException: points 9 and 10 are not increasing (-1 > 100)"));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.0f), 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.Space space2 = vector3D0.getSpace();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D4 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D4.scalarMultiply(1.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D0.add(1.0E200d, (org.apache.commons.math3.geometry.Vector)vector1D4);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.Region region1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine2 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane0, region1);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane3 = subLine2.copySelf();
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane4 = subLine2.copySelf();
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = subLine2.isEmpty();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane4);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.9566472967661909d, 1.189207115002721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1892071150027208d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(100.00499987500625d, (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5259650398671312d));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-1.0d), 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(10.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    long[] long_array0 = null;
    long[][] long_array_array1 = new long[][] { long_array0 };
    org.apache.commons.math3.util.MathArrays.checkRectangular(long_array_array1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkNonNegative(long_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array1);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree5 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj6 = bSPTree5.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = intervalsSet1.buildNew(bSPTree5);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine8 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line0, intervalsSet7);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException11 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree12 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space14 = vector2D13.getSpace();
    double d15 = vector2D13.getNormSq();
    double d16 = vector2D13.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    double d19 = vector2D17.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line20 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D13, vector2D17);
    boolean b21 = bSPTree12.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line20);
    org.apache.commons.math3.geometry.euclidean.twod.Line line22 = line20.getReverse();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Side side23 = intervalsSet7.side((org.apache.commons.math3.geometry.partitioning.Hyperplane)line20);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 1+ "'", obj6.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line22);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(22025.465794806718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23799354248242868d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    double d0 = org.apache.commons.math3.util.Precision.EPSILON;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 1.1102230246251565E-16d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line7 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D4);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D4, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = vector2D4.getZero();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(1.4142135623730951d, vector3D18);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = vector2D15.subtract((-0.8414709848078965d), (org.apache.commons.math3.geometry.Vector)vector3D19);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    int[] i_array3 = new int[] { 1, 1, 0 };
    int[] i_array4 = org.apache.commons.math3.util.MathArrays.copyOf(i_array3);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array6 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    boolean b1 = vector3D0.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = vector3D0.getZero();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D4 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = vector1D4.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D4);
    // The following exception was thrown during execution in test generation
    try {
      double d7 = vector3D2.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D4);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-0.01924815135785336d), (-0.01924815135785336d));
    // The following exception was thrown during execution in test generation
    try {
      double d7 = vector2D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector3D6);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space3 = vector2D2.getSpace();
    double d4 = vector2D2.getNormSq();
    double d5 = vector2D2.getY();
    boolean b6 = vector2D2.isNaN();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = vector3D0.distance1((org.apache.commons.math3.geometry.Vector)vector2D2);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[][] obj_array_array3 = org.apache.commons.math3.util.MathArrays.buildArray(field0, 10, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    double[] d_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.scaleInPlace(1.1892071150027208d, d_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(10.0d, 0.9566472967661909d, Double.NaN, 0.0d, 1.189207115002721d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.geometry.euclidean.twod.Line line13 = line11.getReverse();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d15 = vector3D14.getY();
    boolean b16 = vector3D14.isNaN();
    double d17 = vector3D14.getNormInf();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = line11.toSpace((org.apache.commons.math3.geometry.Vector)vector3D14);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.apache.commons.math3.geometry.euclidean.twod.Segment segment0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine1 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(segment0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.apache.commons.math3.geometry.euclidean.threed.Segment segment0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine1 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(segment0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    double[] d_array8 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array8);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.convolve(d_array3, d_array8);
    double[] d_array14 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array14);
    double[] d_array16 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array14);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = org.apache.commons.math3.util.MathArrays.distance(d_array3, d_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException15 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree16 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    double d19 = vector2D17.getNormSq();
    double d20 = vector2D17.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space22 = vector2D21.getSpace();
    double d23 = vector2D21.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line24 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D17, vector2D21);
    boolean b25 = bSPTree16.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    boolean b26 = line11.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space28 = vector2D27.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d30 = vector2D29.getNorm();
    double d31 = vector2D27.distance((org.apache.commons.math3.geometry.Vector)vector2D29);
    double d32 = vector2D29.getY();
    double d33 = vector2D29.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space35 = vector2D34.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d37 = vector2D36.getNorm();
    double d38 = vector2D34.distance((org.apache.commons.math3.geometry.Vector)vector2D36);
    double d39 = vector2D36.getY();
    double d40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D29, vector2D36);
    double d41 = line11.distance(vector2D36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space43 = vector2D42.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d45 = vector2D44.getNorm();
    double d46 = vector2D42.distance((org.apache.commons.math3.geometry.Vector)vector2D44);
    boolean b47 = line11.contains(vector2D44);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-0.01924815135785336d), (-0.01924815135785336d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = vector2D44.subtract((org.apache.commons.math3.geometry.Vector)vector3D50);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination((-1.5707963267948966d), 0.9566472967661909d, 1.0E200d, 3.141592653589793d, 0.0d, 1.0E200d, (-0.02722099670088633d), (-22025.465794806718d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 3.141592653589793E200d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(2.2250738585072014E-308d, 1.1892071150027208d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.Region region1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine2 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane0, region1);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane3 = subLine2.copySelf();
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane4 = subLine2.copySelf();
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = abstractSubHyperplane4.isEmpty();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane4);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    double[] d_array2 = new double[] { 0.0d, 0.0d };
    double[] d_array4 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2, 1);
    double[] d_array7 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection11 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException13 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection11, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection14 = nonMonotonicSequenceException13.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array7, orderDirection14, false);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array2, d_array7);
    double[] d_array21 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array23 = org.apache.commons.math3.util.MathArrays.copyOf(d_array21, 100);
    double[] d_array26 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array26);
    double[] d_array28 = org.apache.commons.math3.util.MathArrays.convolve(d_array21, d_array26);
    double[][] d_array_array29 = new double[][] { d_array28 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array2, d_array_array29);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9171523356672744d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    double[] d_array4 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array6 = org.apache.commons.math3.util.MathArrays.copyOf(d_array4, 100);
    org.apache.commons.math3.util.MathArrays.scaleInPlace(10.0d, d_array4);
    double[] d_array11 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array13 = org.apache.commons.math3.util.MathArrays.copyOf(d_array11, 100);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array14 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array4, d_array13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8813735870195429d));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)(-1.0f));
    java.lang.Number number2 = notPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    double[] d_array3 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array3);
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array3);
    double[] d_array10 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array12 = org.apache.commons.math3.util.MathArrays.copyOf(d_array10, 100);
    org.apache.commons.math3.util.MathArrays.scaleInPlace(10.0d, d_array10);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection17 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException19 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection17, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = nonMonotonicSequenceException19.getDirection();
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array10, orderDirection20, false, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array5, orderDirection20, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.geometry.euclidean.twod.Line line13 = line11.getReverse();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d15 = vector3D14.getY();
    boolean b16 = vector3D14.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D14, vector3D17);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = line13.toSubSpace((org.apache.commons.math3.geometry.Vector)vector3D14);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(1L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.4142135623730951d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4142135623730951d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException15 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree16 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    double d19 = vector2D17.getNormSq();
    double d20 = vector2D17.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space22 = vector2D21.getSpace();
    double d23 = vector2D21.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line24 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D17, vector2D21);
    boolean b25 = bSPTree16.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    boolean b26 = line11.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D27 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = vector1D27.normalize();
    // The following exception was thrown during execution in test generation
    try {
      double d29 = line11.getOffset((org.apache.commons.math3.geometry.Vector)vector1D28);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 100.0f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-1.0d), 0.0d, 1.5707963267948966d, 1.189207115002721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.8680021680446304d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array2 = org.apache.commons.math3.util.MathArrays.copyOf(d_array0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException15 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree16 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    double d19 = vector2D17.getNormSq();
    double d20 = vector2D17.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space22 = vector2D21.getSpace();
    double d23 = vector2D21.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line24 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D17, vector2D21);
    boolean b25 = bSPTree16.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    boolean b26 = line11.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space28 = vector2D27.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d30 = vector2D29.getNorm();
    double d31 = vector2D27.distance((org.apache.commons.math3.geometry.Vector)vector2D29);
    double d32 = vector2D29.getY();
    double d33 = vector2D29.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space35 = vector2D34.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d37 = vector2D36.getNorm();
    double d38 = vector2D34.distance((org.apache.commons.math3.geometry.Vector)vector2D36);
    double d39 = vector2D36.getY();
    double d40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D29, vector2D36);
    double d41 = line11.distance(vector2D36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NaN;
    double d43 = line11.getOffset((org.apache.commons.math3.geometry.Vector)vector2D42);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine45 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D42, vector2D44);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.apache.commons.math3.exception.MathInternalError mathInternalError0 = new org.apache.commons.math3.exception.MathInternalError();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext1 = mathInternalError0.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext1);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.geometry.euclidean.twod.Line line13 = line11.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = null;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space16 = vector2D15.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d18 = vector2D17.getNorm();
    double d19 = vector2D15.distance((org.apache.commons.math3.geometry.Vector)vector2D17);
    // The following exception was thrown during execution in test generation
    try {
      line13.reset(vector2D14, vector2D15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.Region region1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine2 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane0, region1);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane3 = subLine2.copySelf();
    org.apache.commons.math3.geometry.partitioning.Transform transform4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane5 = subLine2.applyTransform(transform4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane3);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = null;
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine2 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line0, intervalsSet1);
    org.apache.commons.math3.geometry.euclidean.threed.Line line3 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet4 = null;
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine5 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line3, intervalsSet4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = subLine2.intersection(subLine5, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d2 = vector3D1.getY();
    boolean b3 = vector3D1.isNaN();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    boolean b6 = vector3D1.equals((java.lang.Object)space5);
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceSq(vector3D0, vector3D1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(2.0d, 200.0d, 0.0d, (-1.5707963267948966d), 0.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 400.0d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d1 = vector2D0.getNorm();
    org.apache.commons.math3.geometry.Vector vector3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = vector2D0.subtract((-1.5707963267948966d), vector3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d2 = vector3D1.getY();
    boolean b3 = vector3D1.isNaN();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    boolean b6 = vector3D1.equals((java.lang.Object)space5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.scalarMultiply(100.0d);
    double d11 = vector3D10.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.0d), vector3D1, 0.9566472967661909d, vector3D10, 0.23799354248242868d, vector3D13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(1.0E200d, 0.0d, 200.0d, 1.0d, (-1.5707963267948966d), 22025.465794806718d, 400.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-33997.52076642903d));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.993222846126381d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException6 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree7 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj8 = bSPTree7.getAttribute();
    org.apache.commons.math3.geometry.partitioning.BSPTree.LeafMerger leafMerger9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree10 = bSPTree3.merge(bSPTree7, leafMerger9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj8 + "' != '" + 1+ "'", obj8.equals(1));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Line line1 = new org.apache.commons.math3.geometry.euclidean.threed.Line(line0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space2 = vector2D1.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d4 = vector2D3.getNorm();
    double d5 = vector2D1.distance((org.apache.commons.math3.geometry.Vector)vector2D3);
    double d6 = vector2D3.getY();
    double d7 = vector2D3.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D3, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Line line15 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = vector2D19.getNorm();
    double d21 = vector2D17.distance((org.apache.commons.math3.geometry.Vector)vector2D19);
    double d22 = vector2D19.getY();
    double d23 = vector2D19.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space25 = vector2D24.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d27 = vector2D26.getNorm();
    double d28 = vector2D24.distance((org.apache.commons.math3.geometry.Vector)vector2D26);
    double d29 = vector2D26.getY();
    double d30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D19, vector2D26);
    org.apache.commons.math3.geometry.euclidean.twod.Line line31 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D16, vector2D26);
    double d32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D0, vector2D26);
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array35);
    boolean b37 = vector2D36.isInfinite();
    double[] d_array40 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array40);
    boolean b42 = vector2D41.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = vector2D41.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine45 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D36, vector2D44);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine46 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D26, vector2D36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine48 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D36, vector2D47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D0.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d7 = vector2D6.getNorm();
    double d8 = vector2D4.distance((org.apache.commons.math3.geometry.Vector)vector2D6);
    double d9 = vector2D6.getY();
    double d10 = vector2D6.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space12 = vector2D11.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d14 = vector2D13.getNorm();
    double d15 = vector2D11.distance((org.apache.commons.math3.geometry.Vector)vector2D13);
    double d16 = vector2D13.getY();
    double d17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D6, vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Line line18 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D3, vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space21 = vector2D20.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d23 = vector2D22.getNorm();
    double d24 = vector2D20.distance((org.apache.commons.math3.geometry.Vector)vector2D22);
    double d25 = vector2D22.getY();
    double d26 = vector2D22.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space28 = vector2D27.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d30 = vector2D29.getNorm();
    double d31 = vector2D27.distance((org.apache.commons.math3.geometry.Vector)vector2D29);
    double d32 = vector2D29.getY();
    double d33 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D22, vector2D29);
    org.apache.commons.math3.geometry.euclidean.twod.Line line34 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D19, vector2D29);
    double d35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D3, vector2D29);
    // The following exception was thrown during execution in test generation
    try {
      double d36 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector2D29);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array2 = org.apache.commons.math3.util.MathArrays.copyOf(d_array0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-308d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    float f2 = org.apache.commons.math3.util.Precision.round(10.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.1892071150027208d, 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = vector3D0.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D2, vector3D3);
    double d5 = vector3D3.getDelta();
    double d6 = vector3D3.getX();
    double d7 = vector3D3.getNorm();
    java.text.NumberFormat numberFormat8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = vector3D3.toString(numberFormat8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(100.0f, (-0.99999994f), 1.2676506E32f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8883855615856605d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.23799354248242868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2358022521970525d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.5259650398671312d), 0.2358022521970525d, 0.0d, 1.8680021680446304d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.12402374097758204d));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.2358022521970525d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(1.8680021680446304d, 0.0d, (-0.8414709848078965d), 0.0d, 400.0d, 1.1892071150027208d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 475.6828460010883d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.99999994f), Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.9999999f));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d1 = vector3D0.getY();
    boolean b2 = vector3D0.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.5707963267948966d), (-0.01924815135785336d), 1.189207115002721d);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine9 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(vector3D0, vector3D8);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException12 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree13 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space15 = vector2D14.getSpace();
    double d16 = vector2D14.getNormSq();
    double d17 = vector2D14.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space19 = vector2D18.getSpace();
    double d20 = vector2D18.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line21 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D14, vector2D18);
    boolean b22 = bSPTree13.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line21);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException25 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree26 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space28 = vector2D27.getSpace();
    double d29 = vector2D27.getNormSq();
    double d30 = vector2D27.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space32 = vector2D31.getSpace();
    double d33 = vector2D31.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line34 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D27, vector2D31);
    boolean b35 = bSPTree26.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line34);
    boolean b36 = line21.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line34);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D37 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space38 = vector2D37.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d40 = vector2D39.getNorm();
    double d41 = vector2D37.distance((org.apache.commons.math3.geometry.Vector)vector2D39);
    double d42 = vector2D39.getY();
    double d43 = vector2D39.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space45 = vector2D44.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d47 = vector2D46.getNorm();
    double d48 = vector2D44.distance((org.apache.commons.math3.geometry.Vector)vector2D46);
    double d49 = vector2D46.getY();
    double d50 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D39, vector2D46);
    double d51 = line21.distance(vector2D46);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space53 = vector2D52.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d55 = vector2D54.getNorm();
    double d56 = vector2D52.distance((org.apache.commons.math3.geometry.Vector)vector2D54);
    boolean b57 = line21.contains(vector2D54);
    // The following exception was thrown during execution in test generation
    try {
      double d58 = vector3D8.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D54);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.019246963010430294d), 2.993222846126381d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.019246963010430294d));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-33997.52076642903d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 15);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space2 = vector2D1.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d4 = vector2D3.getNorm();
    double d5 = vector2D1.distance((org.apache.commons.math3.geometry.Vector)vector2D3);
    double d6 = vector2D3.getY();
    double d7 = vector2D3.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D3, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Line line15 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = vector2D19.getNorm();
    double d21 = vector2D17.distance((org.apache.commons.math3.geometry.Vector)vector2D19);
    double d22 = vector2D19.getY();
    double d23 = vector2D19.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space25 = vector2D24.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d27 = vector2D26.getNorm();
    double d28 = vector2D24.distance((org.apache.commons.math3.geometry.Vector)vector2D26);
    double d29 = vector2D26.getY();
    double d30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D19, vector2D26);
    org.apache.commons.math3.geometry.euclidean.twod.Line line31 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D16, vector2D26);
    double d32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D0, vector2D26);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = vector2D26.normalize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.019246963010430294d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.019248151357853363d));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.718281828459045d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D1.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D5.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D9.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D7.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = vector1D13.scalarMultiply(1.0d);
    java.lang.String str16 = vector1D13.toString();
    double d17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D12, vector1D13);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D19.scalarMultiply(1.0d);
    double d22 = vector1D19.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D2, 10.0d, vector1D12, 2.0d, vector1D19);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint25 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D12, false);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException28 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree29 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space31 = vector2D30.getSpace();
    double d32 = vector2D30.getNormSq();
    double d33 = vector2D30.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space35 = vector2D34.getSpace();
    double d36 = vector2D34.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line37 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D30, vector2D34);
    boolean b38 = bSPTree29.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line37);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException41 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree42 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D43 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space44 = vector2D43.getSpace();
    double d45 = vector2D43.getNormSq();
    double d46 = vector2D43.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space48 = vector2D47.getSpace();
    double d49 = vector2D47.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line50 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D43, vector2D47);
    boolean b51 = bSPTree42.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line50);
    boolean b52 = line37.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line50);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D53 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space54 = vector2D53.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d56 = vector2D55.getNorm();
    double d57 = vector2D53.distance((org.apache.commons.math3.geometry.Vector)vector2D55);
    double d58 = vector2D55.getY();
    double d59 = vector2D55.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space61 = vector2D60.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d63 = vector2D62.getNorm();
    double d64 = vector2D60.distance((org.apache.commons.math3.geometry.Vector)vector2D62);
    double d65 = vector2D62.getY();
    double d66 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D55, vector2D62);
    double d67 = line37.distance(vector2D62);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D68 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NaN;
    double d69 = line37.getOffset((org.apache.commons.math3.geometry.Vector)vector2D68);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException72 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree73 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D74 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space75 = vector2D74.getSpace();
    double d76 = vector2D74.getNormSq();
    double d77 = vector2D74.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D78 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space79 = vector2D78.getSpace();
    double d80 = vector2D78.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line81 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D74, vector2D78);
    boolean b82 = bSPTree73.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line81);
    double d83 = line37.getOffset(line81);
    // The following exception was thrown during execution in test generation
    try {
      boolean b84 = orientedPoint25.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line37);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "{1}"+ "'", str16.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d69, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.0d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException15 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree16 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    double d19 = vector2D17.getNormSq();
    double d20 = vector2D17.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space22 = vector2D21.getSpace();
    double d23 = vector2D21.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line24 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D17, vector2D21);
    boolean b25 = bSPTree16.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    boolean b26 = line11.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space28 = vector2D27.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d30 = vector2D29.getNorm();
    double d31 = vector2D27.distance((org.apache.commons.math3.geometry.Vector)vector2D29);
    double d32 = vector2D29.getY();
    double d33 = vector2D29.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space35 = vector2D34.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d37 = vector2D36.getNorm();
    double d38 = vector2D34.distance((org.apache.commons.math3.geometry.Vector)vector2D36);
    double d39 = vector2D36.getY();
    double d40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D29, vector2D36);
    double d41 = line11.distance(vector2D36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space43 = vector2D42.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d45 = vector2D44.getNorm();
    double d46 = vector2D42.distance((org.apache.commons.math3.geometry.Vector)vector2D44);
    boolean b47 = line11.contains(vector2D44);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D49 = vector2D44.scalarMultiply(0.0d);
    double d50 = vector2D44.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D0, vector2D3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(3.0d, 22025.465794806718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.0d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-1.0f), (-0.99999994f), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.8414709848078965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5689240493544077d));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet0 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.partitioning.AbstractRegion abstractRegion1 = intervalsSet0.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet2 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree6 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj7 = bSPTree6.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet8 = intervalsSet2.buildNew(bSPTree6);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet9 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree6);
    double[] d_array12 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array12);
    boolean b14 = vector2D13.isInfinite();
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array17);
    boolean b19 = vector2D18.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = vector2D18.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine22 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D13, vector2D21);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane23 = subLine22.copySelf();
    boolean b24 = subLine22.isEmpty();
    double d25 = subLine22.getSize();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree26 = bSPTree6.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine22);
    // The following exception was thrown during execution in test generation
    try {
      boolean b27 = abstractRegion1.isEmpty(bSPTree6);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractRegion1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 1+ "'", obj7.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree26);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection5 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException7 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)100, (java.lang.Number)200.0d, 10, orderDirection5, false);
    java.lang.Throwable[] throwable_array8 = nonMonotonicSequenceException7.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-1.0f), (-0.9999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.0E200d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(100, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d3 = vector2D2.getNorm();
    double d4 = vector2D0.distance((org.apache.commons.math3.geometry.Vector)vector2D2);
    double d5 = vector2D2.getY();
    double d6 = vector2D2.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space8 = vector2D7.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d10 = vector2D9.getNorm();
    double d11 = vector2D7.distance((org.apache.commons.math3.geometry.Vector)vector2D9);
    double d12 = vector2D9.getY();
    double d13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D2, vector2D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = vector2D9.distance((org.apache.commons.math3.geometry.Vector)vector3D14);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(1.4142135623730951d, vector3D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d6 = vector3D5.getY();
    boolean b7 = vector3D5.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9171523356672744d, vector3D2, 3.141592653589793E200d, vector3D5);
    java.text.NumberFormat numberFormat9 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = vector3D5.toString(numberFormat9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.2676506E32f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E32f);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D0.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = vector1D0.negate();
    org.apache.commons.math3.geometry.Vector vector4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d5 = vector1D3.distanceInf(vector4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, (-0.5689240493544077d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    double d2 = org.apache.commons.math3.util.Precision.round(Double.POSITIVE_INFINITY, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane1 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet2 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine3 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane1, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D5.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D9.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D7.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.partitioning.Region.Location location13 = intervalsSet2.checkPoint((org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine14 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line0, intervalsSet2);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet15 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException18 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree19 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj20 = bSPTree19.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet21 = intervalsSet15.buildNew(bSPTree19);
    // The following exception was thrown during execution in test generation
    try {
      boolean b22 = intervalsSet2.contains((org.apache.commons.math3.geometry.partitioning.Region)intervalsSet21);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj20 + "' != '" + 1+ "'", obj20.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet21);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(400.0d, (-22025.465794806718d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(9.536743E-7f, 3.141592653589793E200d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536744E-7f);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(1.0d, (-22025.465794806718d), (-22025.465794806718d), 2.2250738585072014E-308d, 1.1102230246251565E-16d, 1.1892071150027208d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-22025.465794806718d));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.12402374097758204d), 0.23799354248242868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.12402374097758202d));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.9566472967661909d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.8883855615856605d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 127);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)100);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    double[] d_array8 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array8);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array8);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable4, obj_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = vector3D0.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D2, vector3D3);
    double d5 = vector3D3.getDelta();
    double d6 = vector3D3.getX();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D3.getZero();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException11 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree12 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree13 = bSPTree12.getPlus();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree14 = bSPTree12.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = vector1D16.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D16);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D22 = vector1D20.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = vector1D18.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D22);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree24 = bSPTree14.getCell((org.apache.commons.math3.geometry.Vector)vector1D23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = vector3D3.subtract((-0.12402374097758202d), (org.apache.commons.math3.geometry.Vector)vector1D23);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree24);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    double[] d_array2 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException8 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection6, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection9 = nonMonotonicSequenceException8.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection9, false);
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array15);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array15);
    double d18 = org.apache.commons.math3.util.MathArrays.distance1(d_array2, d_array17);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 2.0d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { (-1) };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException4 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable0, localizable1, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathIllegalStateException4.getContext();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree6 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)exceptionContext5);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException9 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree10 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree11 = bSPTree10.getPlus();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree12 = bSPTree10.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = vector1D14.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D14);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = vector1D18.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D16.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D20);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree22 = bSPTree12.getCell((org.apache.commons.math3.geometry.Vector)vector1D21);
    org.apache.commons.math3.geometry.partitioning.BSPTree.LeafMerger leafMerger23 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree24 = bSPTree6.merge(bSPTree12, leafMerger23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree22);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array5, 100);
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array11);
    double[] d_array13 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array11);
    double[] d_array14 = org.apache.commons.math3.util.MathArrays.copyOf(d_array11);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array15 = org.apache.commons.math3.util.MathArrays.ebeSubtract(d_array7, d_array11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space6 = vector2D5.getSpace();
    double d7 = vector2D5.getNormSq();
    double d8 = vector2D5.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space10 = vector2D9.getSpace();
    double d11 = vector2D9.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line12 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D5, vector2D9);
    boolean b13 = bSPTree4.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line12);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException16 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree17 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space19 = vector2D18.getSpace();
    double d20 = vector2D18.getNormSq();
    double d21 = vector2D18.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space23 = vector2D22.getSpace();
    double d24 = vector2D22.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line25 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D18, vector2D22);
    boolean b26 = bSPTree17.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line25);
    boolean b27 = line12.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line25);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space29 = vector2D28.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d31 = vector2D30.getNorm();
    double d32 = vector2D28.distance((org.apache.commons.math3.geometry.Vector)vector2D30);
    double d33 = vector2D30.getY();
    double d34 = vector2D30.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space36 = vector2D35.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D37 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d38 = vector2D37.getNorm();
    double d39 = vector2D35.distance((org.apache.commons.math3.geometry.Vector)vector2D37);
    double d40 = vector2D37.getY();
    double d41 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D30, vector2D37);
    double d42 = line12.distance(vector2D37);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D43 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space44 = vector2D43.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D45 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d46 = vector2D45.getNorm();
    double d47 = vector2D43.distance((org.apache.commons.math3.geometry.Vector)vector2D45);
    boolean b48 = line12.contains(vector2D45);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D50 = vector2D45.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D53 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(0.9566472967661909d, vector2D50, 3.0d, vector2D52);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D50);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.2676506E32f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.6714065E24f);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D0.scalarMultiply(1.0d);
    java.lang.String str3 = vector1D0.toString();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D5.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = vector1D0.add(1.0E200d, (org.apache.commons.math3.geometry.Vector)vector1D5);
    org.apache.commons.math3.geometry.Vector vector8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = vector1D5.add(vector8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{1}"+ "'", str3.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.8883855615856605d, 0.0d, 0.0d, (-0.019246963010430294d), (-1.0d), 0.0d, 200.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(100.0d, vector2D1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-0.12402374097758202d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.Region region1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine2 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane0, region1);
    org.apache.commons.math3.geometry.partitioning.Transform transform3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane4 = subLine2.applyTransform(transform3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    double[] d_array8 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array8);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.convolve(d_array3, d_array8);
    double[] d_array14 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array16 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14, 100);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.copyOf(d_array16, 100);
    double[] d_array23 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array25 = org.apache.commons.math3.util.MathArrays.copyOf(d_array23, 100);
    org.apache.commons.math3.util.MathArrays.scaleInPlace(10.0d, d_array23);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection30 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException32 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection30, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection33 = nonMonotonicSequenceException32.getDirection();
    boolean b36 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array23, orderDirection33, false, false);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array18, d_array23);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array38 = org.apache.commons.math3.util.MathArrays.ebeDivide(d_array8, d_array18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(100.0d, vector1D1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    double d2 = org.apache.commons.math3.util.Precision.round((-33997.52076642903d), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-33997.520766429d));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-1.5707963267948966d), 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.4636476090008061d));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree5 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj6 = bSPTree5.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = intervalsSet1.buildNew(bSPTree5);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException10 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree11 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space13 = vector2D12.getSpace();
    double d14 = vector2D12.getNormSq();
    double d15 = vector2D12.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space17 = vector2D16.getSpace();
    double d18 = vector2D16.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line19 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D12, vector2D16);
    boolean b20 = bSPTree11.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line19);
    org.apache.commons.math3.geometry.euclidean.twod.Line line21 = line19.getReverse();
    org.apache.commons.math3.geometry.partitioning.Side side22 = intervalsSet1.side((org.apache.commons.math3.geometry.partitioning.Hyperplane)line21);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine23 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line0, intervalsSet1);
    org.apache.commons.math3.geometry.euclidean.threed.Line line24 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet25 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException28 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree29 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj30 = bSPTree29.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet31 = intervalsSet25.buildNew(bSPTree29);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine32 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line24, intervalsSet31);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = subLine23.intersection(subLine32, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 1+ "'", obj6.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(side22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj30 + "' != '" + 1+ "'", obj30.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet31);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(10.0d, (-0.019248151357853363d), 0.8883855615856605d, (-0.12402374097758204d), 0.2d, 0.8883855615856605d, 0.0d, 0.8883855615856605d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.12498530203972523d));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    boolean b1 = vector3D0.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = vector3D0.getZero();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d4 = vector3D3.getY();
    double d5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = vector3D0.add((-33997.52076642903d), (org.apache.commons.math3.geometry.Vector)vector2D7);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    double[] d_array2 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array2);
    boolean b4 = vector2D3.isInfinite();
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array7);
    boolean b9 = vector2D8.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = vector2D8.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine12 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D3, vector2D11);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane13 = subLine12.copySelf();
    boolean b14 = subLine12.isEmpty();
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane16 = subLine12.reunite(subHyperplane15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[][] obj_array_array3 = org.apache.commons.math3.util.MathArrays.buildArray(field0, 0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space2 = vector2D1.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d4 = vector2D3.getNorm();
    double d5 = vector2D1.distance((org.apache.commons.math3.geometry.Vector)vector2D3);
    double d6 = vector2D3.getY();
    double d7 = vector2D3.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D3, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Line line15 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = vector2D19.getNorm();
    double d21 = vector2D17.distance((org.apache.commons.math3.geometry.Vector)vector2D19);
    double d22 = vector2D19.getY();
    double d23 = vector2D19.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space25 = vector2D24.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d27 = vector2D26.getNorm();
    double d28 = vector2D24.distance((org.apache.commons.math3.geometry.Vector)vector2D26);
    double d29 = vector2D26.getY();
    double d30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D19, vector2D26);
    org.apache.commons.math3.geometry.euclidean.twod.Line line31 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D16, vector2D26);
    double d32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D0, vector2D26);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = vector3D34.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d38 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D36, vector3D37);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = vector3D39.scalarMultiply(100.0d);
    double d42 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceSq(vector3D36, vector3D41);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D43 = vector2D0.subtract(3.141592653589793E200d, (org.apache.commons.math3.geometry.Vector)vector3D36);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.12402374097758202d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.13241628998558208d));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet0 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj5 = bSPTree4.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet6 = intervalsSet0.buildNew(bSPTree4);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree4);
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array10);
    boolean b12 = vector2D11.isInfinite();
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array15);
    boolean b17 = vector2D16.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = vector2D16.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine20 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D11, vector2D19);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane21 = subLine20.copySelf();
    boolean b22 = subLine20.isEmpty();
    double d23 = subLine20.getSize();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree24 = bSPTree4.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine20);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree25 = bSPTree4.getPlus();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj5 + "' != '" + 1+ "'", obj5.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree25);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(475.6828460010883d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.857899627660428d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    double[] d_array2 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array2);
    boolean b4 = vector2D3.isInfinite();
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array7);
    boolean b9 = vector2D8.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = vector2D8.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine12 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D3, vector2D11);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane13 = subLine12.copySelf();
    java.util.List list14 = subLine12.getSegments();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet15 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet((java.util.Collection)list14);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list14);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.01924815135785336d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.019435808967260357d));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round((-0.5259650398671312d), 0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree5 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj6 = bSPTree5.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = intervalsSet1.buildNew(bSPTree5);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine8 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line0, intervalsSet7);
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list9 = subLine8.getSegments();
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 1+ "'", obj6.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet7);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.8680021680446304d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.5515481754370433d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9367003025652924d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.5707963267948966d, (-0.12402374097758204d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, 400.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 400.0d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(Double.POSITIVE_INFINITY, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet0 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj5 = bSPTree4.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet6 = intervalsSet0.buildNew(bSPTree4);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree4);
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array10);
    boolean b12 = vector2D11.isInfinite();
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array15);
    boolean b17 = vector2D16.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = vector2D16.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine20 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D11, vector2D19);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane21 = subLine20.copySelf();
    boolean b22 = subLine20.isEmpty();
    double d23 = subLine20.getSize();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree24 = bSPTree4.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine20);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet25 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree4);
    java.lang.Object obj26 = bSPTree4.getAttribute();
    org.apache.commons.math3.geometry.partitioning.BSPTreeVisitor bSPTreeVisitor27 = null;
    // The following exception was thrown during execution in test generation
    try {
      bSPTree4.visit(bSPTreeVisitor27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj5 + "' != '" + 1+ "'", obj5.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj26 + "' != '" + 1+ "'", obj26.equals(1));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space2 = vector2D1.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d4 = vector2D3.getNorm();
    double d5 = vector2D1.distance((org.apache.commons.math3.geometry.Vector)vector2D3);
    double d6 = vector2D3.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(100.0d, 22025.465794806718d);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = null;
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array16);
    boolean b18 = vector2D17.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = vector2D17.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = vector2D17.getZero();
    double[] d_array24 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array24);
    boolean b26 = vector2D25.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = vector2D25.scalarMultiply(0.0d);
    double d29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D17, vector2D28);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-0.5689240493544077d), vector2D3, 1.8680021680446304d, vector2D10, (-0.12402374097758202d), vector2D12, 0.2d, vector2D17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NEGATIVE_INFINITY;
    java.text.NumberFormat numberFormat1 = null;
    java.lang.String str2 = vector2D0.toString(numberFormat1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "{(-Infinity); (-Infinity)}"+ "'", str2.equals("{(-Infinity); (-Infinity)}"));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d1 = vector3D0.getY();
    boolean b2 = vector3D0.isNaN();
    double d3 = vector3D0.getNormInf();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = vector3D4.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D6, vector3D7);
    double d9 = vector3D7.getDelta();
    double d10 = vector3D7.getX();
    double d11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.dotProduct(vector3D0, vector3D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.NaN;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = vector1D15.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D15);
    double d18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D13, vector1D15);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = vector1D15.normalize();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = vector3D0.subtract(2.993222846126381d, (org.apache.commons.math3.geometry.Vector)vector1D19);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d3 = vector2D2.getNorm();
    double d4 = vector2D0.distance((org.apache.commons.math3.geometry.Vector)vector2D2);
    double d5 = vector2D2.getY();
    double d6 = vector2D2.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space8 = vector2D7.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d10 = vector2D9.getNorm();
    double d11 = vector2D7.distance((org.apache.commons.math3.geometry.Vector)vector2D9);
    double d12 = vector2D9.getY();
    double d13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D2, vector2D9);
    double d14 = vector2D9.getNormSq();
    double d15 = vector2D9.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.02722099670088633d), 0.0d, (-0.02722099670088633d), Double.POSITIVE_INFINITY, 2.0d, 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(3.141592653589793E200d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.2676506E32f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    double[] d_array9 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array9);
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array9);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double[] d_array16 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14, 1);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.ebeSubtract(d_array11, d_array14);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array5, d_array11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    double[] d_array2 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException8 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection6, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection9 = nonMonotonicSequenceException8.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection9, false);
    double[] d_array12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array13 = org.apache.commons.math3.util.MathArrays.convolve(d_array2, d_array12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d2 = vector3D1.getY();
    boolean b3 = vector3D1.isNaN();
    double d4 = vector3D1.getNormInf();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D7, vector3D8);
    double d10 = vector3D8.getDelta();
    double d11 = vector3D8.getX();
    double d12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.dotProduct(vector3D1, vector3D8);
    double d13 = vector3D8.getY();
    // The following exception was thrown during execution in test generation
    try {
      double d14 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D0, vector3D8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(1.4142135623730951d, vector3D1);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = vector3D2.orthogonal();
    double d4 = vector3D3.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space7 = vector2D6.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d9 = vector2D8.getNorm();
    double d10 = vector2D6.distance((org.apache.commons.math3.geometry.Vector)vector2D8);
    double d11 = vector2D8.getY();
    double d12 = vector2D8.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space14 = vector2D13.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d16 = vector2D15.getNorm();
    double d17 = vector2D13.distance((org.apache.commons.math3.geometry.Vector)vector2D15);
    double d18 = vector2D15.getY();
    double d19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D8, vector2D15);
    org.apache.commons.math3.geometry.euclidean.twod.Line line20 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D5, vector2D15);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space23 = vector2D22.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d25 = vector2D24.getNorm();
    double d26 = vector2D22.distance((org.apache.commons.math3.geometry.Vector)vector2D24);
    double d27 = vector2D24.getY();
    double d28 = vector2D24.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space30 = vector2D29.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d32 = vector2D31.getNorm();
    double d33 = vector2D29.distance((org.apache.commons.math3.geometry.Vector)vector2D31);
    double d34 = vector2D31.getY();
    double d35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D24, vector2D31);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D21, vector2D31);
    double d37 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D5, vector2D31);
    // The following exception was thrown during execution in test generation
    try {
      double d38 = vector3D3.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D5);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = vector3D0.scalarMultiply(100.0d);
    double d3 = vector3D2.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = vector3D2.negate();
    double d5 = vector3D4.getNormInf();
    org.apache.commons.math3.geometry.Vector vector7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = vector3D4.subtract(22025.465794806718d, vector7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-22025.465794806718d), 2.2250738585072014E-308d, 1.5515481754370433d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet0 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj5 = bSPTree4.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet6 = intervalsSet0.buildNew(bSPTree4);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException9 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree10 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space12 = vector2D11.getSpace();
    double d13 = vector2D11.getNormSq();
    double d14 = vector2D11.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space16 = vector2D15.getSpace();
    double d17 = vector2D15.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line18 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D11, vector2D15);
    boolean b19 = bSPTree10.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line18);
    org.apache.commons.math3.geometry.euclidean.twod.Line line20 = line18.getReverse();
    org.apache.commons.math3.geometry.partitioning.Side side21 = intervalsSet0.side((org.apache.commons.math3.geometry.partitioning.Hyperplane)line20);
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane22 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane23 = intervalsSet0.intersection(subHyperplane22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj5 + "' != '" + 1+ "'", obj5.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(side21);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(9.6714065E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 83);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(10.0d, 1.5515481754370433d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.551548175437043d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(100.0f, (-0.4636476090008061d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine2 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane0, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet1);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree6 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space8 = vector2D7.getSpace();
    double d9 = vector2D7.getNormSq();
    double d10 = vector2D7.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space12 = vector2D11.getSpace();
    double d13 = vector2D11.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line14 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D7, vector2D11);
    boolean b15 = bSPTree6.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line14);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException18 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree19 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space21 = vector2D20.getSpace();
    double d22 = vector2D20.getNormSq();
    double d23 = vector2D20.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space25 = vector2D24.getSpace();
    double d26 = vector2D24.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line27 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D20, vector2D24);
    boolean b28 = bSPTree19.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line27);
    boolean b29 = line14.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line27);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space31 = vector2D30.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d33 = vector2D32.getNorm();
    double d34 = vector2D30.distance((org.apache.commons.math3.geometry.Vector)vector2D32);
    double d35 = vector2D32.getY();
    double d36 = vector2D32.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D37 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space38 = vector2D37.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d40 = vector2D39.getNorm();
    double d41 = vector2D37.distance((org.apache.commons.math3.geometry.Vector)vector2D39);
    double d42 = vector2D39.getY();
    double d43 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D32, vector2D39);
    double d44 = line14.distance(vector2D39);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D45 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NaN;
    double d46 = line14.getOffset((org.apache.commons.math3.geometry.Vector)vector2D45);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException49 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree50 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space52 = vector2D51.getSpace();
    double d53 = vector2D51.getNormSq();
    double d54 = vector2D51.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space56 = vector2D55.getSpace();
    double d57 = vector2D55.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line58 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D51, vector2D55);
    boolean b59 = bSPTree50.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line58);
    double d60 = line14.getOffset(line58);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.SubHyperplane.SplitSubHyperplane splitSubHyperplane61 = subLine2.split((org.apache.commons.math3.geometry.partitioning.Hyperplane)line58);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line7 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D4);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D4, vector2D10);
    double d15 = vector2D10.getX();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space17 = vector2D16.getSpace();
    double d18 = vector2D16.getNormSq();
    double d19 = vector2D16.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space21 = vector2D20.getSpace();
    double d22 = vector2D20.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line23 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D16, vector2D20);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space25 = vector2D24.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d27 = vector2D26.getNorm();
    double d28 = vector2D24.distance((org.apache.commons.math3.geometry.Vector)vector2D26);
    double d29 = vector2D26.getY();
    double d30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D20, vector2D26);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = vector2D20.getZero();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine32 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D10, vector2D31);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = vector2D10.normalize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D31);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line7 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D4);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D4, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = vector2D4.getZero();
    boolean b16 = vector2D4.isInfinite();
    double[] d_array17 = vector2D4.toArray();
    double[] d_array18 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array19 = org.apache.commons.math3.util.MathArrays.ebeAdd(d_array17, d_array18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane1 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet2 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine3 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane1, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet2);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine4 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line0, intervalsSet2);
    double d5 = intervalsSet2.getSize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-1.5707963267948966d));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = null;
    double[] d_array3 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array3);
    boolean b5 = vector2D4.isInfinite();
    double[] d_array8 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array8);
    boolean b10 = vector2D9.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = vector2D9.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine13 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D4, vector2D12);
    boolean b14 = vector2D4.isNaN();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine15 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D0, vector2D4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d2 = vector3D1.getY();
    boolean b3 = vector3D1.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-0.02722099670088633d), vector3D1);
    double[] d_array8 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array8);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = vector3D1.subtract(0.9171523356672744d, (org.apache.commons.math3.geometry.Vector)vector2D9);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D1.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D5.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D9.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D7.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = vector1D13.scalarMultiply(1.0d);
    java.lang.String str16 = vector1D13.toString();
    double d17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D12, vector1D13);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D19.scalarMultiply(1.0d);
    double d22 = vector1D19.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D2, 10.0d, vector1D12, 2.0d, vector1D19);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint25 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D12, false);
    orientedPoint25.revertSelf();
    org.apache.commons.math3.geometry.euclidean.oned.SubOrientedPoint subOrientedPoint27 = orientedPoint25.wholeHyperplane();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = orientedPoint25.getLocation();
    orientedPoint25.revertSelf();
    org.apache.commons.math3.geometry.Vector vector30 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d31 = orientedPoint25.getOffset(vector30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "{1}"+ "'", str16.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(subOrientedPoint27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    float f3 = org.apache.commons.math3.util.Precision.round(10.0f, 127, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f3, Float.NaN, 0);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree5 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj6 = bSPTree5.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = intervalsSet1.buildNew(bSPTree5);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine8 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line0, intervalsSet1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list9 = subLine8.getSegments();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 1+ "'", obj6.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet7);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4711276743037347d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.geometry.euclidean.twod.Line line13 = line11.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NEGATIVE_INFINITY;
    line13.reset(vector2D14, vector2D15);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(1.4142135623730951d, vector3D18);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = vector2D14.add((org.apache.commons.math3.geometry.Vector)vector3D18);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = vector3D1.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D3, vector3D4);
    double d6 = vector3D4.getDelta();
    double d7 = vector3D4.getX();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = vector3D4.getZero();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.crossProduct(vector3D0, vector3D4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    double[] d_array3 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array3);
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array3);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.copyOf(d_array8, 1);
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.ebeSubtract(d_array5, d_array8);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array8);
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array16);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array16);
    double d19 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array8, d_array18);
    double d20 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 83);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(4.440892098500626E-16d, (-0.5689240493544077d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5689240493544077d));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space2 = vector2D1.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d4 = vector2D3.getNorm();
    double d5 = vector2D1.distance((org.apache.commons.math3.geometry.Vector)vector2D3);
    double d6 = vector2D3.getY();
    double d7 = vector2D3.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D3, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Line line15 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = vector2D19.getNorm();
    double d21 = vector2D17.distance((org.apache.commons.math3.geometry.Vector)vector2D19);
    double d22 = vector2D19.getY();
    double d23 = vector2D19.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space25 = vector2D24.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d27 = vector2D26.getNorm();
    double d28 = vector2D24.distance((org.apache.commons.math3.geometry.Vector)vector2D26);
    double d29 = vector2D26.getY();
    double d30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D19, vector2D26);
    org.apache.commons.math3.geometry.euclidean.twod.Line line31 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D16, vector2D26);
    double d32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D0, vector2D26);
    org.apache.commons.math3.geometry.Vector vector33 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d34 = vector2D0.dotProduct(vector33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(2.0d, (-22025.465794806718d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.0d));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space2 = vector2D1.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d4 = vector2D3.getNorm();
    double d5 = vector2D1.distance((org.apache.commons.math3.geometry.Vector)vector2D3);
    double d6 = vector2D3.getY();
    double d7 = vector2D3.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D3, vector2D10);
    double d15 = vector2D10.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line17 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D10, 100.00499987500625d);
    double d18 = vector2D10.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-0.12498530203972523d), vector2D10, 1.4711276743037347d, vector2D20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.12402374097758202d), (-0.019435808967260357d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round((-1.0f), 83, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D0.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = vector1D0.negate();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException4 = new org.apache.commons.math3.exception.NullArgumentException();
    boolean b5 = vector1D0.equals((java.lang.Object)nullArgumentException4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(1.4142135623730951d, vector3D8);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d12 = vector3D11.getY();
    boolean b13 = vector3D11.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9171523356672744d, vector3D8, 3.141592653589793E200d, vector3D11);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(1.4142135623730951d, vector3D16);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = vector3D17.orthogonal();
    boolean b19 = vector3D18.isNaN();
    double d20 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D8, vector3D18);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D0.add((org.apache.commons.math3.geometry.Vector)vector3D18);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.0f);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f1, Float.NaN, 0);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.12498530203972523d), (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-7.345975824175717E-40d));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)1, (java.lang.Number)(byte)10, (-127));
    java.lang.Throwable[] throwable_array4 = nonMonotonicSequenceException3.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-0.019435808967260357d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection5 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException7 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)100, (java.lang.Number)200.0d, 10, orderDirection5, false);
    java.lang.Throwable[] throwable_array8 = nonMonotonicSequenceException7.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.MathInternalError mathInternalError10 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = mathInternalError10.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = vector1D1.scalarMultiply(1.0d);
    java.lang.String str4 = vector1D1.toString();
    boolean b5 = vector1D1.isInfinite();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = vector1D1.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.NaN;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D11.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D11);
    double d14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D9, vector1D11);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = vector1D11.normalize();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = vector1D17.normalize();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(0.9171523356672744d, vector1D7, 1.5515481754370433d, vector1D15, (-0.5689240493544077d), vector1D17);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = vector1D7.normalize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "{1}"+ "'", str4.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000001f);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-308d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet0 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj5 = bSPTree4.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet6 = intervalsSet0.buildNew(bSPTree4);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree4);
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array10);
    boolean b12 = vector2D11.isInfinite();
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array15);
    boolean b17 = vector2D16.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = vector2D16.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine20 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D11, vector2D19);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane21 = subLine20.copySelf();
    boolean b22 = subLine20.isEmpty();
    double d23 = subLine20.getSize();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree24 = bSPTree4.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine20);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet25 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree4);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet26 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree4);
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list27 = intervalsSet26.asList();
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj5 + "' != '" + 1+ "'", obj5.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree24);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d3 = vector2D2.getNorm();
    double d4 = vector2D0.distance((org.apache.commons.math3.geometry.Vector)vector2D2);
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array7);
    boolean b9 = vector2D8.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = vector2D8.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = vector2D8.getZero();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine13 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D2, vector2D12);
    org.apache.commons.math3.geometry.partitioning.Transform transform14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane15 = subLine13.applyTransform(transform14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D12);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = vector1D2.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = vector1D6.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D6);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D10.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = vector1D8.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D12);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = vector1D14.scalarMultiply(1.0d);
    java.lang.String str17 = vector1D14.toString();
    double d18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D13, vector1D14);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D22 = vector1D20.scalarMultiply(1.0d);
    double d23 = vector1D20.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D24 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D3, 10.0d, vector1D13, 2.0d, vector1D20);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D27 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = vector1D27.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D31 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D32 = vector1D31.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D33 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D31);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D35 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D37 = vector1D35.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D38 = vector1D33.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D37);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D39 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D41 = vector1D39.scalarMultiply(1.0d);
    java.lang.String str42 = vector1D39.toString();
    double d43 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D38, vector1D39);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D45 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D47 = vector1D45.scalarMultiply(1.0d);
    double d48 = vector1D45.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D49 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D28, 10.0d, vector1D38, 2.0d, vector1D45);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D51 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.NaN;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D53 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D54 = vector1D53.normalize();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D55 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D((-0.12402374097758204d), vector1D20, 1.1892071150027208d, vector1D38, 2.993222846126381d, vector1D51, 0.2d, vector1D54);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NEGATIVE_INFINITY;
    // The following exception was thrown during execution in test generation
    try {
      double d57 = vector1D38.dotProduct((org.apache.commons.math3.geometry.Vector)vector2D56);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "{1}"+ "'", str17.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "{1}"+ "'", str42.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D56);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.12402374097758202d), (-0.019248151357853363d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.12402374097758202d));

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    double d2 = org.apache.commons.math3.util.Precision.round(400.0d, 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 400.0d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    float f2 = org.apache.commons.math3.util.Precision.round((-1.0f), (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(475.6828460010883d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 475.6828460010883d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.12402374097758204d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance((-2.0d), 2.993222846126381d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d3 = vector2D2.getNorm();
    double d4 = vector2D0.distance((org.apache.commons.math3.geometry.Vector)vector2D2);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = vector2D2.getZero();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space8 = vector2D7.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d10 = vector2D9.getNorm();
    double d11 = vector2D7.distance((org.apache.commons.math3.geometry.Vector)vector2D9);
    double d12 = vector2D9.getY();
    double d13 = vector2D9.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space15 = vector2D14.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d17 = vector2D16.getNorm();
    double d18 = vector2D14.distance((org.apache.commons.math3.geometry.Vector)vector2D16);
    double d19 = vector2D16.getY();
    double d20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D9, vector2D16);
    org.apache.commons.math3.geometry.euclidean.twod.Line line21 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D6, vector2D16);
    double d22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D2, vector2D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d24 = vector3D23.getY();
    boolean b25 = vector3D23.isNaN();
    double d26 = vector3D23.getNormInf();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = vector3D27.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d31 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D29, vector3D30);
    double d32 = vector3D30.getDelta();
    double d33 = vector3D30.getX();
    double d34 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.dotProduct(vector3D23, vector3D30);
    double d35 = vector3D30.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-0.01924815135785336d), (-0.01924815135785336d));
    double d39 = vector3D38.getNormSq();
    double d40 = vector3D38.getAlpha();
    double d41 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D30, vector3D38);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D42 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D44 = vector3D42.scalarMultiply(100.0d);
    double d45 = vector3D44.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D46 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.crossProduct(vector3D30, vector3D44);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = vector2D6.subtract((org.apache.commons.math3.geometry.Vector)vector3D30);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == (-0.01924815135785336d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.5515481754370433d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(2.551548175437043d, Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    double[] d_array3 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array3);
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array3);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array5, orderDirection6, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(0L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 1.8680021680446304d, 1.0E200d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection5 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException7 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)100, (java.lang.Number)200.0d, 10, orderDirection5, false);
    java.lang.Throwable[] throwable_array8 = nonMonotonicSequenceException7.getSuppressed();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    double d0 = org.apache.commons.math3.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(2.0d, 1.1102230246251565E-16d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D4 = vector1D3.normalize();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = vector3D2.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D4);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D4);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.12498530203972523d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.12434052268277414d));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(2.0d, 100.00499987500625d, 1.5707963267948966d, 3.141592653589793d, 1.0E200d, (-33997.520766429d), (-0.13241628998558208d), (-0.8813735870195429d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-3.3997520766429E204d));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    double[] d_array2 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array2);
    boolean b4 = vector2D3.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = vector2D3.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = vector2D3.getZero();
    double[] d_array8 = vector2D7.toArray();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkPositive(d_array8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line7 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D4);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D4, vector2D10);
    double d15 = vector2D10.getX();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space17 = vector2D16.getSpace();
    double d18 = vector2D16.getNormSq();
    double d19 = vector2D16.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space21 = vector2D20.getSpace();
    double d22 = vector2D20.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line23 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D16, vector2D20);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space25 = vector2D24.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d27 = vector2D26.getNorm();
    double d28 = vector2D24.distance((org.apache.commons.math3.geometry.Vector)vector2D26);
    double d29 = vector2D26.getY();
    double d30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D20, vector2D26);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = vector2D20.getZero();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine32 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D10, vector2D31);
    org.apache.commons.math3.geometry.partitioning.Transform transform33 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane34 = subLine32.applyTransform(transform33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D31);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.000001f, 10.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(2.2250738585072014E-308d, 1.5515481754370433d, 0.2358022521970525d, (-22025.465794806718d), (-0.01924815135785336d), 0.0d, 10.0d, Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.9566472967661909d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = vector1D0.normalize();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = vector1D0.scalarMultiply(2.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(3.141592653589793E200d, 0.0d, 0.9566472967661909d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = vector1D3.add((-0.01924815135785336d), (org.apache.commons.math3.geometry.Vector)vector3D8);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = vector3D0.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D2, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = vector3D2.negate();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree9 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree10 = bSPTree9.getPlus();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree11 = bSPTree9.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = vector1D12.scalarMultiply(1.0d);
    java.lang.String str15 = vector1D12.toString();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = vector1D17.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = vector1D12.add(1.0E200d, (org.apache.commons.math3.geometry.Vector)vector1D17);
    bSPTree9.setAttribute((java.lang.Object)vector1D12);
    // The following exception was thrown during execution in test generation
    try {
      double d21 = vector3D5.distance1((org.apache.commons.math3.geometry.Vector)vector1D12);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "{1}"+ "'", str15.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane6 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine8 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane6, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D10.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D10);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = vector1D14.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = vector1D12.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D16);
    org.apache.commons.math3.geometry.partitioning.Region.Location location18 = intervalsSet7.checkPoint((org.apache.commons.math3.geometry.Vector)vector1D16);
    java.lang.Comparable[] comparable_array19 = new java.lang.Comparable[] { location18 };
    double[] d_array23 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array25 = org.apache.commons.math3.util.MathArrays.copyOf(d_array23, 100);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection26 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b29 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array23, orderDirection26, false, false);
    boolean b31 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array19, orderDirection26, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException33 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0, (java.lang.Number)0.2358022521970525d, 10, orderDirection26, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException35 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-3.3997520766429E204d), (java.lang.Number)0L, 10, orderDirection26, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet0 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj5 = bSPTree4.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet6 = intervalsSet0.buildNew(bSPTree4);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree4);
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array10);
    boolean b12 = vector2D11.isInfinite();
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array15);
    boolean b17 = vector2D16.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = vector2D16.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine20 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D11, vector2D19);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane21 = subLine20.copySelf();
    boolean b22 = subLine20.isEmpty();
    double d23 = subLine20.getSize();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree24 = bSPTree4.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine20);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet25 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree4);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet26 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree4);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException29 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree30 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj31 = bSPTree30.getAttribute();
    bSPTree4.insertInTree(bSPTree30, false);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException36 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree37 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree38 = bSPTree37.getPlus();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree39 = bSPTree37.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D41 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D42 = vector1D41.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D43 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D41);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D45 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D47 = vector1D45.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D48 = vector1D43.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D47);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree49 = bSPTree39.getCell((org.apache.commons.math3.geometry.Vector)vector1D48);
    org.apache.commons.math3.geometry.partitioning.BSPTree.LeafMerger leafMerger50 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree51 = bSPTree30.merge(bSPTree49, leafMerger50);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj5 + "' != '" + 1+ "'", obj5.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj31 + "' != '" + 1+ "'", obj31.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree49);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = vector3D3.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D5, vector3D6);
    double d8 = vector3D6.getDelta();
    double d9 = vector3D6.getX();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = vector3D10.scalarMultiply(100.0d);
    double d13 = vector3D12.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = vector3D12.negate();
    double d15 = vector3D14.getNormInf();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = vector3D6.subtract((org.apache.commons.math3.geometry.Vector)vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(1.4142135623730951d, vector3D19);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d22 = vector3D21.getY();
    boolean b23 = vector3D21.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D21, vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = vector3D19.subtract((org.apache.commons.math3.geometry.Vector)vector3D24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, vector3D1, 0.9171523356672744d, vector3D16, (-0.4636476090008061d), vector3D24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(9.536743E-7f, 9.536743E-7f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.5259650398671312d), 6.857899627660428d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.551548175437043d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.999814760053908d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d1 = vector2D0.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.0f, 1.2676506E32f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.0E200d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6439687185395058d));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-7.345975824175717E-40d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    double[] d_array3 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array3);
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array3);
    double[] d_array6 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3);
    double[] d_array9 = new double[] { 0.0d, 0.0d };
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.copyOf(d_array9, 1);
    double[] d_array14 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection18 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException20 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection18, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection21 = nonMonotonicSequenceException20.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array14, orderDirection21, false);
    double[] d_array24 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array9, d_array14);
    double d25 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array9);
    double d26 = org.apache.commons.math3.util.MathArrays.distance1(d_array6, d_array9);
    double[] d_array29 = new double[] { 0.0d, 0.0d };
    double[] d_array31 = org.apache.commons.math3.util.MathArrays.copyOf(d_array29, 1);
    double[] d_array32 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array6, d_array29);
    double[] d_array33 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array6, d_array33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.9367003025652924d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8358983434863507d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-3.3997520766429E204d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-9223372036854775808L));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.5707963267948966d), (-0.01924815135785336d), 1.189207115002721d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.crossProduct(vector3D0, vector3D4);
    java.text.NumberFormat numberFormat6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = vector3D5.toString(numberFormat6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    double[] d_array2 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array2);
    boolean b4 = vector2D3.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = vector2D3.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = vector2D3.getZero();
    java.lang.String str8 = vector2D3.toString();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D10.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = vector3D12.scalarMultiply(100.0d);
    boolean b15 = vector1D11.equals((java.lang.Object)vector3D14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = vector2D3.add((-0.12402374097758204d), (org.apache.commons.math3.geometry.Vector)vector1D11);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "{0; 1}"+ "'", str8.equals("{0; 1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    bSPTree3.setAttribute((java.lang.Object)(-1.0d));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree15 = bSPTree3.getParent();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet16 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree15);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.AbstractRegion abstractRegion17 = intervalsSet16.copySelf();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree15);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    double[] d_array2 = new double[] { 0.0d, 0.0d };
    double[] d_array4 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2, 1);
    double[] d_array5 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = org.apache.commons.math3.util.MathArrays.ebeSubtract(d_array2, d_array5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.Region region1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine2 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane0, region1);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane3 = subLine2.copySelf();
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane4 = subLine2.copySelf();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree8 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space10 = vector2D9.getSpace();
    double d11 = vector2D9.getNormSq();
    double d12 = vector2D9.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space14 = vector2D13.getSpace();
    double d15 = vector2D13.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line16 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D9, vector2D13);
    boolean b17 = bSPTree8.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line16);
    org.apache.commons.math3.geometry.euclidean.twod.Line line18 = line16.getReverse();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.SubHyperplane.SplitSubHyperplane splitSubHyperplane19 = subLine2.split((org.apache.commons.math3.geometry.partitioning.Hyperplane)line16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line18);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.0d, (-33997.520766429d), 2.2250738585072014E-308d, (-0.12498530203972523d), (-0.5689240493544077d), 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.5689240493544077d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree5 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj6 = bSPTree5.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = intervalsSet1.buildNew(bSPTree5);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine8 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line0, intervalsSet7);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = intervalsSet7.getSize();
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 1+ "'", obj6.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet7);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane1 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet2 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine3 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane1, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D5.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D9.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D7.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.partitioning.Region.Location location13 = intervalsSet2.checkPoint((org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine14 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line0, intervalsSet2);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException17 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree18 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space20 = vector2D19.getSpace();
    double d21 = vector2D19.getNormSq();
    double d22 = vector2D19.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space24 = vector2D23.getSpace();
    double d25 = vector2D23.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line26 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D19, vector2D23);
    boolean b27 = bSPTree18.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line26);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException30 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree31 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space33 = vector2D32.getSpace();
    double d34 = vector2D32.getNormSq();
    double d35 = vector2D32.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space37 = vector2D36.getSpace();
    double d38 = vector2D36.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line39 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D32, vector2D36);
    boolean b40 = bSPTree31.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line39);
    boolean b41 = line26.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line39);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space43 = vector2D42.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d45 = vector2D44.getNorm();
    double d46 = vector2D42.distance((org.apache.commons.math3.geometry.Vector)vector2D44);
    double d47 = vector2D44.getY();
    double d48 = vector2D44.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D49 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space50 = vector2D49.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d52 = vector2D51.getNorm();
    double d53 = vector2D49.distance((org.apache.commons.math3.geometry.Vector)vector2D51);
    double d54 = vector2D51.getY();
    double d55 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D44, vector2D51);
    double d56 = line26.distance(vector2D51);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NaN;
    double d58 = line26.getOffset((org.apache.commons.math3.geometry.Vector)vector2D57);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException61 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree62 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space64 = vector2D63.getSpace();
    double d65 = vector2D63.getNormSq();
    double d66 = vector2D63.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D67 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space68 = vector2D67.getSpace();
    double d69 = vector2D67.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line70 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D63, vector2D67);
    boolean b71 = bSPTree62.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line70);
    double d72 = line26.getOffset(line70);
    org.apache.commons.math3.geometry.partitioning.Side side73 = intervalsSet2.side((org.apache.commons.math3.geometry.partitioning.Hyperplane)line70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(side73);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.8680021680446304d, (-22025.465794806718d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection3, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = nonMonotonicSequenceException5.getDirection();
    java.lang.Number number7 = nonMonotonicSequenceException5.getPrevious();
    java.lang.Number number8 = nonMonotonicSequenceException5.getPrevious();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1)+ "'", number7.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-1)+ "'", number8.equals((-1)));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    double[] d_array2 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException8 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection6, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection9 = nonMonotonicSequenceException8.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection9, false);
    double d12 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array2);
    double d13 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.4142135623730951d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.8813735870195429d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.7627471740390859d));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = vector1D2.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D4 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = vector1D6.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = vector1D4.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D8);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D10.scalarMultiply(1.0d);
    java.lang.String str13 = vector1D10.toString();
    double d14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D9, vector1D10);
    double d15 = vector1D10.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = vector1D10.scalarMultiply(2.2250738585072014E-308d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D20.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D22 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D20);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D24 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D26 = vector1D24.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D27 = vector1D22.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D26);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = vector1D22.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D30 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D31 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.0d, vector1D10, 1.1102230246251565E-16d, vector1D22, (-0.12402374097758204d), vector1D30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "{1}"+ "'", str13.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = vector1D2.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D4 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = vector1D6.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = vector1D4.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D8);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D10.scalarMultiply(1.0d);
    java.lang.String str13 = vector1D10.toString();
    double d14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D9, vector1D10);
    double d15 = vector1D10.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = vector1D18.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D22 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = vector1D22.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D24 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D22);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D26 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = vector1D26.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D29 = vector1D24.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D28);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D30 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D32 = vector1D30.scalarMultiply(1.0d);
    java.lang.String str33 = vector1D30.toString();
    double d34 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D29, vector1D30);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D36 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D38 = vector1D36.scalarMultiply(1.0d);
    double d39 = vector1D36.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D40 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D19, 10.0d, vector1D29, 2.0d, vector1D36);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D42 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D44 = vector1D42.scalarMultiply(1.0d);
    java.lang.String str45 = vector1D42.toString();
    boolean b46 = vector1D42.isInfinite();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException50 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree51 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree52 = bSPTree51.getPlus();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree53 = bSPTree51.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D55 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D56 = vector1D55.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D57 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D55);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D59 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D61 = vector1D59.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D62 = vector1D57.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D61);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree63 = bSPTree53.getCell((org.apache.commons.math3.geometry.Vector)vector1D62);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D64 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(100.0d, vector1D10, (-0.8414709848078965d), vector1D19, 1.189207115002721d, vector1D42, Double.POSITIVE_INFINITY, vector1D62);
    java.text.NumberFormat numberFormat65 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str66 = vector1D19.toString(numberFormat65);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "{1}"+ "'", str13.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "{1}"+ "'", str33.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "{1}"+ "'", str45.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree63);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    boolean b3 = vector2D0.isNaN();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = vector2D0.normalize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, (-0.9999999f), Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = vector3D0.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D2, vector3D3);
    double d5 = vector3D3.getDelta();
    double d6 = vector3D3.getX();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = vector3D7.scalarMultiply(100.0d);
    double d10 = vector3D9.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = vector3D9.negate();
    double d12 = vector3D11.getNormInf();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = vector3D3.subtract((org.apache.commons.math3.geometry.Vector)vector3D11);
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array17);
    boolean b19 = vector2D18.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = vector2D18.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = vector2D18.getZero();
    java.lang.String str23 = vector2D18.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = vector3D11.add((-0.5689240493544077d), (org.apache.commons.math3.geometry.Vector)vector2D18);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "{0; 1}"+ "'", str23.equals("{0; 1}"));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.8680021680446304d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.475346813259868d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = bSPTree3.getPlus();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree5 = bSPTree3.copySelf();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree6 = bSPTree5.getParent();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree7 = bSPTree6.getPlus();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree6);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(6.475346813259868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.0d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(0.2d, (-3.3997520766429E204d));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    boolean b3 = vector2D0.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d5 = vector3D4.getY();
    boolean b6 = vector3D4.isNaN();
    double d7 = vector3D4.getNormInf();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D10, vector3D11);
    double d13 = vector3D11.getDelta();
    double d14 = vector3D11.getX();
    double d15 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.dotProduct(vector3D4, vector3D11);
    double d16 = vector3D11.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-0.01924815135785336d), (-0.01924815135785336d));
    double d20 = vector3D19.getNormSq();
    double d21 = vector3D19.getAlpha();
    double d22 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D11, vector3D19);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = vector3D23.scalarMultiply(100.0d);
    double d26 = vector3D25.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.crossProduct(vector3D11, vector3D25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = vector2D0.subtract((org.apache.commons.math3.geometry.Vector)vector3D27);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == (-0.01924815135785336d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.5515481754370433d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(3.141592653589793E200d, Double.POSITIVE_INFINITY, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.0d, 3.779251593155471d, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = null;
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine2 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line0, intervalsSet1);
    org.apache.commons.math3.geometry.euclidean.threed.Line line3 = null;
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane4 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet5 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine6 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane4, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet5);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine7 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(line3, intervalsSet5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = subLine2.intersection(subLine7, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.8680021680446304d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9340010840223152d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    double[] d_array0 = null;
    double[] d_array10 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array12 = org.apache.commons.math3.util.MathArrays.copyOf(d_array10, 100);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection13 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b16 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array10, orderDirection13, false, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException18 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)100.0d, (java.lang.Number)1L, 10, orderDirection13, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException20 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)9.536744E-7f, (java.lang.Number)0.9171523356672744d, 83, orderDirection13, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array0, orderDirection13, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-33997.52076642903d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d3 = vector3D2.getY();
    boolean b4 = vector3D2.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.5707963267948966d), (-0.01924815135785336d), 1.189207115002721d);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine11 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(vector3D2, vector3D10);
    double d12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D1, vector3D2);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = vector2D0.distance1((org.apache.commons.math3.geometry.Vector)vector3D1);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.0d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d1 = vector3D0.getY();
    boolean b2 = vector3D0.isNaN();
    double d3 = vector3D0.getNormInf();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d5 = vector3D4.getDelta();
    double d6 = vector3D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.5707963267948966d), (-0.01924815135785336d), 1.189207115002721d);
    double d11 = vector3D4.distance1((org.apache.commons.math3.geometry.Vector)vector3D10);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = vector3D0.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D10);
    org.apache.commons.math3.geometry.Vector vector14 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = vector3D10.subtract(1.8680021680446304d, vector14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 3.779251593155471d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D0.scalarMultiply(1.0d);
    java.lang.String str3 = vector1D0.toString();
    boolean b4 = vector1D0.isInfinite();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D0.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.Vector vector7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = vector1D0.distanceInf(vector7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{1}"+ "'", str3.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    double[] d_array4 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array6 = org.apache.commons.math3.util.MathArrays.copyOf(d_array4, 100);
    org.apache.commons.math3.util.MathArrays.scaleInPlace(10.0d, d_array4);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection11 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException13 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection11, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection14 = nonMonotonicSequenceException13.getDirection();
    boolean b17 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array4, orderDirection14, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection18 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array21 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection25 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException27 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection25, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = nonMonotonicSequenceException27.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array21, orderDirection28, false);
    double d31 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array21);
    double[] d_array34 = new double[] { 0.0d, 0.0d };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.copyOf(d_array34, 1);
    double[] d_array39 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection43 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException45 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection43, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection46 = nonMonotonicSequenceException45.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array39, orderDirection46, false);
    double[] d_array49 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array34, d_array39);
    double[][] d_array_array50 = new double[][] { d_array39 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array21, d_array_array50);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array4, orderDirection18, d_array_array50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(2.551548175437043d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6696200655142679d));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(22025.465794806718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.99995459903963d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.13241628998558208d), 3.779251593155471d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.13241628998558208d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D1.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = vector1D6.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D6);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D10.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = vector1D8.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D12);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = vector1D8.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = vector1D17.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D22 = vector1D21.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D21);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D25 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D27 = vector1D25.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = vector1D23.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D27);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D29 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D31 = vector1D29.scalarMultiply(1.0d);
    java.lang.String str32 = vector1D29.toString();
    double d33 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D28, vector1D29);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D35 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D37 = vector1D35.scalarMultiply(1.0d);
    double d38 = vector1D35.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D39 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D18, 10.0d, vector1D28, 2.0d, vector1D35);
    boolean b40 = vector1D18.isInfinite();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D42 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ZERO;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException46 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree47 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space49 = vector2D48.getSpace();
    double d50 = vector2D48.getNormSq();
    double d51 = vector2D48.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space53 = vector2D52.getSpace();
    double d54 = vector2D52.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line55 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D48, vector2D52);
    boolean b56 = bSPTree47.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line55);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException59 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree60 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space62 = vector2D61.getSpace();
    double d63 = vector2D61.getNormSq();
    double d64 = vector2D61.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D65 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space66 = vector2D65.getSpace();
    double d67 = vector2D65.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line68 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D61, vector2D65);
    boolean b69 = bSPTree60.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line68);
    boolean b70 = line55.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line68);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D71 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D72 = vector1D71.negate();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D74 = line55.getPointAt(vector1D71, 200.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D75 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D((-0.12402374097758202d), vector1D8, (-0.12498530203972523d), vector1D18, 0.0d, vector1D42, Double.NaN, vector1D71);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D77 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D78 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(6.475346813259868d, vector1D2, 100.00499987500625d, vector1D71, 475.6828460010883d, vector1D77);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "{1}"+ "'", str32.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D74);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(3.779251593155471d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.004691231293622d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException15 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree16 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    double d19 = vector2D17.getNormSq();
    double d20 = vector2D17.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space22 = vector2D21.getSpace();
    double d23 = vector2D21.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line24 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D17, vector2D21);
    boolean b25 = bSPTree16.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    boolean b26 = line11.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space28 = vector2D27.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d30 = vector2D29.getNorm();
    double d31 = vector2D27.distance((org.apache.commons.math3.geometry.Vector)vector2D29);
    double d32 = vector2D29.getY();
    double d33 = vector2D29.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space35 = vector2D34.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d37 = vector2D36.getNorm();
    double d38 = vector2D34.distance((org.apache.commons.math3.geometry.Vector)vector2D36);
    double d39 = vector2D36.getY();
    double d40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D29, vector2D36);
    double d41 = line11.distance(vector2D36);
    double d42 = vector2D36.getY();
    org.apache.commons.math3.geometry.Vector vector43 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = vector2D36.subtract(vector43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.4711276743037347d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4711276743037347d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-0.01924815135785336d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0001852513847442d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.NaN, 9.6714065E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    double[] d_array0 = null;
    double[] d_array3 = new double[] { 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 1);
    double[] d_array8 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection12 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException14 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection12, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection15 = nonMonotonicSequenceException14.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array8, orderDirection15, false);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array3, d_array8);
    double d19 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array3);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = org.apache.commons.math3.util.MathArrays.distance(d_array0, d_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line7 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D4);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D4, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = vector2D4.getZero();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = vector2D19.getNorm();
    double d21 = vector2D17.distance((org.apache.commons.math3.geometry.Vector)vector2D19);
    double d22 = vector2D19.getY();
    double d23 = vector2D19.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space25 = vector2D24.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d27 = vector2D26.getNorm();
    double d28 = vector2D24.distance((org.apache.commons.math3.geometry.Vector)vector2D26);
    double d29 = vector2D26.getY();
    double d30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D19, vector2D26);
    double d31 = vector2D26.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line33 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, 100.00499987500625d);
    double d34 = vector2D26.getNorm1();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException38 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree39 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space41 = vector2D40.getSpace();
    double d42 = vector2D40.getNormSq();
    double d43 = vector2D40.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space45 = vector2D44.getSpace();
    double d46 = vector2D44.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line47 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D40, vector2D44);
    boolean b48 = bSPTree39.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line47);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException51 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree52 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D53 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space54 = vector2D53.getSpace();
    double d55 = vector2D53.getNormSq();
    double d56 = vector2D53.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space58 = vector2D57.getSpace();
    double d59 = vector2D57.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line60 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D53, vector2D57);
    boolean b61 = bSPTree52.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line60);
    boolean b62 = line47.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line60);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space64 = vector2D63.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D65 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d66 = vector2D65.getNorm();
    double d67 = vector2D63.distance((org.apache.commons.math3.geometry.Vector)vector2D65);
    double d68 = vector2D65.getY();
    double d69 = vector2D65.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D70 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space71 = vector2D70.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D72 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d73 = vector2D72.getNorm();
    double d74 = vector2D70.distance((org.apache.commons.math3.geometry.Vector)vector2D72);
    double d75 = vector2D72.getY();
    double d76 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D65, vector2D72);
    double d77 = line47.distance(vector2D72);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D78 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NaN;
    double d79 = line47.getOffset((org.apache.commons.math3.geometry.Vector)vector2D78);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D80 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-0.01924815135785336d), vector2D26, 100.00499987500625d, vector2D78);
    double d81 = vector2D4.distance((org.apache.commons.math3.geometry.Vector)vector2D78);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D82 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D84 = vector3D82.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D85 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d86 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D84, vector3D85);
    // The following exception was thrown during execution in test generation
    try {
      double d87 = vector2D4.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D85);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d79, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d81, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 100.0d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(3.141592653589793E200d, 0.0d, 0.9566472967661909d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D4 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = vector1D4.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = vector3D6.scalarMultiply(100.0d);
    boolean b9 = vector1D5.equals((java.lang.Object)vector3D8);
    // The following exception was thrown during execution in test generation
    try {
      double d10 = vector3D3.distanceInf((org.apache.commons.math3.geometry.Vector)vector1D5);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.8358983434863507d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6836304383670057d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-22025.465794806718d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    double[] d_array0 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection1 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array0, orderDirection1, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection1);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    double[] d_array2 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array2);
    boolean b4 = vector2D3.isInfinite();
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array7);
    boolean b9 = vector2D8.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = vector2D8.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine12 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D3, vector2D11);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane13 = subLine12.copySelf();
    boolean b14 = subLine12.isEmpty();
    double d15 = subLine12.getSize();
    boolean b16 = subLine12.isEmpty();
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane17 = null;
    org.apache.commons.math3.geometry.partitioning.Region region18 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine19 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane17, region18);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane20 = subLine19.copySelf();
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane21 = subLine19.copySelf();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = subLine12.intersection(subLine19, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane21);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D1.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D5.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D9.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D7.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = vector1D13.scalarMultiply(1.0d);
    java.lang.String str16 = vector1D13.toString();
    double d17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D12, vector1D13);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D19.scalarMultiply(1.0d);
    double d22 = vector1D19.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D2, 10.0d, vector1D12, 2.0d, vector1D19);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint25 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D12, false);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint26 = orientedPoint25.copySelf();
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane27 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b28 = orientedPoint26.sameOrientationAs(hyperplane27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "{1}"+ "'", str16.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint26);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkPositive(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-0.01924815135785336d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2679968411201022d));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet0 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.partitioning.AbstractRegion abstractRegion1 = intervalsSet0.copySelf();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree5 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj6 = bSPTree5.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = intervalsSet0.buildNew(bSPTree5);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet8 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.partitioning.AbstractRegion abstractRegion9 = intervalsSet8.copySelf();
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane10 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet11 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine12 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane10, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet11);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException15 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree16 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    double d19 = vector2D17.getNormSq();
    double d20 = vector2D17.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space22 = vector2D21.getSpace();
    double d23 = vector2D21.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line24 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D17, vector2D21);
    boolean b25 = bSPTree16.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line24);
    bSPTree16.setAttribute((java.lang.Object)(-1.0d));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree28 = bSPTree16.getParent();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet29 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException32 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree33 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj34 = bSPTree33.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet35 = intervalsSet29.buildNew(bSPTree33);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet36 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree33);
    double[] d_array39 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array39);
    boolean b41 = vector2D40.isInfinite();
    double[] d_array44 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D45 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array44);
    boolean b46 = vector2D45.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = vector2D45.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine49 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D40, vector2D48);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane50 = subLine49.copySelf();
    boolean b51 = subLine49.isEmpty();
    double d52 = subLine49.getSize();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree53 = bSPTree33.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine49);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet54 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree33);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet55 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree33);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree56 = bSPTree33.copySelf();
    java.lang.Object obj57 = null;
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree58 = new org.apache.commons.math3.geometry.partitioning.BSPTree((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine12, bSPTree16, bSPTree33, obj57);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D59 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space60 = vector2D59.getSpace();
    double d61 = vector2D59.getNormSq();
    double d62 = vector2D59.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space64 = vector2D63.getSpace();
    double d65 = vector2D63.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line66 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D59, vector2D63);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D67 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space68 = vector2D67.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d70 = vector2D69.getNorm();
    double d71 = vector2D67.distance((org.apache.commons.math3.geometry.Vector)vector2D69);
    double d72 = vector2D69.getY();
    double d73 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D63, vector2D69);
    double d74 = vector2D69.getX();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D75 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space76 = vector2D75.getSpace();
    double d77 = vector2D75.getNormSq();
    double d78 = vector2D75.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D79 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space80 = vector2D79.getSpace();
    double d81 = vector2D79.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line82 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D75, vector2D79);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D83 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space84 = vector2D83.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D85 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d86 = vector2D85.getNorm();
    double d87 = vector2D83.distance((org.apache.commons.math3.geometry.Vector)vector2D85);
    double d88 = vector2D85.getY();
    double d89 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D79, vector2D85);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D90 = vector2D79.getZero();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine91 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D69, vector2D90);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree92 = bSPTree33.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine91);
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane93 = abstractRegion9.intersection((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine91);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane94 = intervalsSet7.intersection((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine91);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractRegion1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 1+ "'", obj6.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractRegion9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj34 + "' != '" + 1+ "'", obj34.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(subHyperplane93);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d3 = vector2D2.getNorm();
    double d4 = vector2D0.distance((org.apache.commons.math3.geometry.Vector)vector2D2);
    double d5 = vector2D2.getY();
    double d6 = vector2D2.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space8 = vector2D7.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d10 = vector2D9.getNorm();
    double d11 = vector2D7.distance((org.apache.commons.math3.geometry.Vector)vector2D9);
    double d12 = vector2D9.getY();
    double d13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D2, vector2D9);
    double d14 = vector2D9.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line16 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D9, 100.00499987500625d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(1.4142135623730951d, vector3D18);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = vector3D19.orthogonal();
    double d21 = vector3D20.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      double d22 = vector2D9.distance1((org.apache.commons.math3.geometry.Vector)vector3D20);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(3.141592653589793E200d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.79803335110543E66d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta((-3.3997520766429E204d), 3.141592653589793E200d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589496E200d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.5259650398671312d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5538493808344008d));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D1.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D5.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D9.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D7.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = vector1D13.scalarMultiply(1.0d);
    java.lang.String str16 = vector1D13.toString();
    double d17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D12, vector1D13);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D19.scalarMultiply(1.0d);
    double d22 = vector1D19.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D2, 10.0d, vector1D12, 2.0d, vector1D19);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint25 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D12, false);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint26 = orientedPoint25.copySelf();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space28 = vector2D27.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d30 = vector2D29.getNorm();
    double d31 = vector2D27.distance((org.apache.commons.math3.geometry.Vector)vector2D29);
    double d32 = vector2D29.getY();
    double d33 = vector2D29.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space35 = vector2D34.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d37 = vector2D36.getNorm();
    double d38 = vector2D34.distance((org.apache.commons.math3.geometry.Vector)vector2D36);
    double d39 = vector2D36.getY();
    double d40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D29, vector2D36);
    // The following exception was thrown during execution in test generation
    try {
      double d41 = orientedPoint26.getOffset((org.apache.commons.math3.geometry.Vector)vector2D36);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "{1}"+ "'", str16.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    double[] d_array0 = null;
    double[] d_array5 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array5, 100);
    org.apache.commons.math3.util.MathArrays.scaleInPlace(10.0d, d_array5);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection12 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException14 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection12, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection15 = nonMonotonicSequenceException14.getDirection();
    boolean b18 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array5, orderDirection15, false, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array0, orderDirection15, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.01924815135785336d), (-0.12434052268277414d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-0.13241628998558208d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13241628998558208d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = vector1D0.normalize();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space3 = vector2D2.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d5 = vector2D4.getNorm();
    double d6 = vector2D2.distance((org.apache.commons.math3.geometry.Vector)vector2D4);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = vector2D4.getZero();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space10 = vector2D9.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d12 = vector2D11.getNorm();
    double d13 = vector2D9.distance((org.apache.commons.math3.geometry.Vector)vector2D11);
    double d14 = vector2D11.getY();
    double d15 = vector2D11.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space17 = vector2D16.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d19 = vector2D18.getNorm();
    double d20 = vector2D16.distance((org.apache.commons.math3.geometry.Vector)vector2D18);
    double d21 = vector2D18.getY();
    double d22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D11, vector2D18);
    org.apache.commons.math3.geometry.euclidean.twod.Line line23 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D8, vector2D18);
    double d24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D4, vector2D8);
    double d25 = vector2D8.getY();
    // The following exception was thrown during execution in test generation
    try {
      double d26 = vector1D1.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D8);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9737901925290313d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-308d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5657963684609384d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-0.019435808967260357d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    double[] d_array2 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array2);
    boolean b4 = vector2D3.isInfinite();
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array7);
    boolean b9 = vector2D8.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = vector2D8.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine12 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D3, vector2D11);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane13 = subLine12.copySelf();
    boolean b14 = subLine12.isEmpty();
    boolean b15 = subLine12.isEmpty();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = vector1D17.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D22 = vector1D21.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D21);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D25 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D27 = vector1D25.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = vector1D23.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D27);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D29 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D31 = vector1D29.scalarMultiply(1.0d);
    java.lang.String str32 = vector1D29.toString();
    double d33 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D28, vector1D29);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D35 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D37 = vector1D35.scalarMultiply(1.0d);
    double d38 = vector1D35.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D39 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D18, 10.0d, vector1D28, 2.0d, vector1D35);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint41 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D28, false);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint42 = orientedPoint41.copySelf();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.SubHyperplane.SplitSubHyperplane splitSubHyperplane43 = subLine12.split((org.apache.commons.math3.geometry.partitioning.Hyperplane)orientedPoint42);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "{1}"+ "'", str32.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint42);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet0 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.partitioning.AbstractRegion abstractRegion1 = intervalsSet0.copySelf();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree5 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj6 = bSPTree5.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = intervalsSet0.buildNew(bSPTree5);
    // The following exception was thrown during execution in test generation
    try {
      boolean b8 = intervalsSet7.isEmpty();
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractRegion1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 1+ "'", obj6.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet7);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D1.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D5.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D9.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D7.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = vector1D13.scalarMultiply(1.0d);
    java.lang.String str16 = vector1D13.toString();
    double d17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D12, vector1D13);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D19.scalarMultiply(1.0d);
    double d22 = vector1D19.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D2, 10.0d, vector1D12, 2.0d, vector1D19);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint25 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D12, false);
    orientedPoint25.revertSelf();
    org.apache.commons.math3.geometry.euclidean.oned.SubOrientedPoint subOrientedPoint27 = orientedPoint25.wholeHyperplane();
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint28 = orientedPoint25.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint29 = orientedPoint28.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet30 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.partitioning.AbstractRegion abstractRegion31 = intervalsSet30.copySelf();
    org.apache.commons.math3.geometry.Vector vector32 = abstractRegion31.getBarycenter();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException35 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree36 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D37 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space38 = vector2D37.getSpace();
    double d39 = vector2D37.getNormSq();
    double d40 = vector2D37.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space42 = vector2D41.getSpace();
    double d43 = vector2D41.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line44 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D37, vector2D41);
    boolean b45 = bSPTree36.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line44);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException48 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree49 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D50 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space51 = vector2D50.getSpace();
    double d52 = vector2D50.getNormSq();
    double d53 = vector2D50.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space55 = vector2D54.getSpace();
    double d56 = vector2D54.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line57 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D50, vector2D54);
    boolean b58 = bSPTree49.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line57);
    boolean b59 = line44.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line57);
    double d60 = line57.getOriginOffset();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException63 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree64 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D65 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space66 = vector2D65.getSpace();
    double d67 = vector2D65.getNormSq();
    double d68 = vector2D65.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space70 = vector2D69.getSpace();
    double d71 = vector2D69.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line72 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D65, vector2D69);
    boolean b73 = bSPTree64.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line72);
    boolean b74 = line57.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line72);
    org.apache.commons.math3.geometry.euclidean.twod.Line line75 = new org.apache.commons.math3.geometry.euclidean.twod.Line(line57);
    org.apache.commons.math3.geometry.euclidean.twod.Line line76 = new org.apache.commons.math3.geometry.euclidean.twod.Line(line57);
    org.apache.commons.math3.geometry.partitioning.Side side77 = abstractRegion31.side((org.apache.commons.math3.geometry.partitioning.Hyperplane)line76);
    // The following exception was thrown during execution in test generation
    try {
      boolean b78 = orientedPoint29.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line76);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "{1}"+ "'", str16.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(subOrientedPoint27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractRegion31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(side77);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    double[] d_array3 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array3);
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array3);
    double[] d_array6 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3);
    double[] d_array11 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array13 = org.apache.commons.math3.util.MathArrays.copyOf(d_array11, 100);
    org.apache.commons.math3.util.MathArrays.scaleInPlace(10.0d, d_array11);
    double[] d_array16 = org.apache.commons.math3.util.MathArrays.copyOf(d_array11, 0);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array17 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array3, d_array16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line7 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D10, vector3D11);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = vector2D4.dotProduct((org.apache.commons.math3.geometry.Vector)vector3D10);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 100.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[][] obj_array_array3 = org.apache.commons.math3.util.MathArrays.buildArray(field0, 0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d2 = vector3D1.getY();
    boolean b3 = vector3D1.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-0.02722099670088633d), vector3D1);
    double d5 = vector3D4.getNorm1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.02722099670088633d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    double[] d_array9 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.copyOf(d_array9, 100);
    boolean b12 = org.apache.commons.math3.util.MathArrays.equals(d_array5, d_array11);
    double[] d_array17 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array19 = org.apache.commons.math3.util.MathArrays.copyOf(d_array17, 100);
    org.apache.commons.math3.util.MathArrays.scaleInPlace(10.0d, d_array17);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array21 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array11, d_array17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.13241628998558208d), 0.0d, 9.99995459903963d, 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.225063756458194E-307d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space2 = vector2D1.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d4 = vector2D3.getNorm();
    double d5 = vector2D1.distance((org.apache.commons.math3.geometry.Vector)vector2D3);
    double d6 = vector2D3.getY();
    double d7 = vector2D3.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D3, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Line line15 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space18 = vector2D17.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = vector2D19.getNorm();
    double d21 = vector2D17.distance((org.apache.commons.math3.geometry.Vector)vector2D19);
    double d22 = vector2D19.getY();
    double d23 = vector2D19.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space25 = vector2D24.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d27 = vector2D26.getNorm();
    double d28 = vector2D24.distance((org.apache.commons.math3.geometry.Vector)vector2D26);
    double d29 = vector2D26.getY();
    double d30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D19, vector2D26);
    org.apache.commons.math3.geometry.euclidean.twod.Line line31 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D16, vector2D26);
    double d32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D0, vector2D26);
    double d33 = vector2D0.getNormSq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = bSPTree3.getPlus();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree5 = bSPTree3.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = vector1D7.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = vector1D11.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = vector1D9.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D13);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree15 = bSPTree5.getCell((org.apache.commons.math3.geometry.Vector)vector1D14);
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane16 = null;
    org.apache.commons.math3.geometry.partitioning.Region region17 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine18 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane16, region17);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane19 = subLine18.copySelf();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree20 = bSPTree5.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)abstractSubHyperplane19);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree21 = bSPTree5.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet22 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree21);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree23 = bSPTree21.getPlus();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree23);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.4636476090008061d), (-0.5689240493544077d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.4636476090008061d));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane1 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet2 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine3 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane1, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet2);
    org.apache.commons.math3.geometry.partitioning.Region region4 = subLine3.getRemainingRegion();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine5 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane0, region4);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree6 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet7 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException10 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree11 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    java.lang.Object obj12 = bSPTree11.getAttribute();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet13 = intervalsSet7.buildNew(bSPTree11);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet14 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree11);
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array17);
    boolean b19 = vector2D18.isInfinite();
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array22);
    boolean b24 = vector2D23.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = vector2D23.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine27 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D18, vector2D26);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane28 = subLine27.copySelf();
    boolean b29 = subLine27.isEmpty();
    double d30 = subLine27.getSize();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree31 = bSPTree11.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine27);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet32 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree11);
    java.lang.Object obj33 = bSPTree11.getAttribute();
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException37 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable34, 1, 100);
    java.lang.Throwable[] throwable_array38 = dimensionMismatchException37.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree39 = new org.apache.commons.math3.geometry.partitioning.BSPTree((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine5, bSPTree6, bSPTree11, (java.lang.Object)throwable_array38);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj12 + "' != '" + 1+ "'", obj12.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj33 + "' != '" + 1+ "'", obj33.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, 1.4E-45f, 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(2.993222846126381d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.999999999999998d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(6.79803335110543E66d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 66.83238329089805d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(15, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 15);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    double[] d_array8 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array8);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.convolve(d_array3, d_array8);
    double[] d_array14 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array16 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14, 100);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.copyOf(d_array16, 100);
    boolean b19 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array18);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(d_array18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(100.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(6.857899627660428d, 9.999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    double[] d_array2 = new double[] { 0.0d, 0.0d };
    double[] d_array4 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2, 1);
    double[] d_array8 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array8);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array8);
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.ebeAdd(d_array2, d_array10);
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array15);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array15);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.copyOf(d_array15);
    double[] d_array21 = new double[] { 0.0d, 0.0d };
    double[] d_array23 = org.apache.commons.math3.util.MathArrays.copyOf(d_array21, 1);
    double[] d_array26 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection30 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException32 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection30, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection33 = nonMonotonicSequenceException32.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array26, orderDirection33, false);
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array21, d_array26);
    double d37 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array21);
    double d38 = org.apache.commons.math3.util.MathArrays.distance1(d_array18, d_array21);
    boolean b39 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array21);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(d_array2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    double d2 = org.apache.commons.math3.util.Precision.round((-0.019248151357853363d), 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.019248151357853d));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(3.779251593155471d, 0.23799354248242868d, 3.779251593155471d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8994374745874328d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(6.79803335110543E66d, 6.475346813259868d, 0.0d, 1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 4.4019623596514846E67d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.2676506E32f, 1.2676506E32f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E32f);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    double[] d_array0 = null;
    double[] d_array4 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array6 = org.apache.commons.math3.util.MathArrays.copyOf(d_array4, 100);
    double[] d_array8 = org.apache.commons.math3.util.MathArrays.copyOf(d_array6, 100);
    double[][] d_array_array9 = new double[][] { d_array6 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array0, d_array_array9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array9);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-0.9999999f));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 1, (-127));
    int i4 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-127));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D1.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = vector1D5.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D9.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D7.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = vector1D13.scalarMultiply(1.0d);
    java.lang.String str16 = vector1D13.toString();
    double d17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D12, vector1D13);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D19.scalarMultiply(1.0d);
    double d22 = vector1D19.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D2, 10.0d, vector1D12, 2.0d, vector1D19);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint25 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D12, false);
    orientedPoint25.revertSelf();
    org.apache.commons.math3.geometry.euclidean.oned.SubOrientedPoint subOrientedPoint27 = orientedPoint25.wholeHyperplane();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = orientedPoint25.getLocation();
    orientedPoint25.revertSelf();
    org.apache.commons.math3.geometry.euclidean.oned.SubOrientedPoint subOrientedPoint30 = orientedPoint25.wholeHyperplane();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException33 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree34 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space36 = vector2D35.getSpace();
    double d37 = vector2D35.getNormSq();
    double d38 = vector2D35.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space40 = vector2D39.getSpace();
    double d41 = vector2D39.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line42 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D35, vector2D39);
    boolean b43 = bSPTree34.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line42);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException46 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree47 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space49 = vector2D48.getSpace();
    double d50 = vector2D48.getNormSq();
    double d51 = vector2D48.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space53 = vector2D52.getSpace();
    double d54 = vector2D52.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line55 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D48, vector2D52);
    boolean b56 = bSPTree47.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line55);
    boolean b57 = line42.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line55);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space59 = vector2D58.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d61 = vector2D60.getNorm();
    double d62 = vector2D58.distance((org.apache.commons.math3.geometry.Vector)vector2D60);
    double d63 = vector2D60.getY();
    double d64 = vector2D60.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D65 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space66 = vector2D65.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D67 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d68 = vector2D67.getNorm();
    double d69 = vector2D65.distance((org.apache.commons.math3.geometry.Vector)vector2D67);
    double d70 = vector2D67.getY();
    double d71 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D60, vector2D67);
    double d72 = line42.distance(vector2D67);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D73 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NaN;
    double d74 = line42.getOffset((org.apache.commons.math3.geometry.Vector)vector2D73);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException77 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree78 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D79 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space80 = vector2D79.getSpace();
    double d81 = vector2D79.getNormSq();
    double d82 = vector2D79.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D83 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space84 = vector2D83.getSpace();
    double d85 = vector2D83.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line86 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D79, vector2D83);
    boolean b87 = bSPTree78.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line86);
    double d88 = line42.getOffset(line86);
    double d89 = line86.getOriginOffset();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.SubHyperplane.SplitSubHyperplane splitSubHyperplane90 = subOrientedPoint30.split((org.apache.commons.math3.geometry.partitioning.Hyperplane)line86);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "{1}"+ "'", str16.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(subOrientedPoint27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(subOrientedPoint30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 15);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 1);
    double[] d_array9 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array9);
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array9);
    double[] d_array12 = org.apache.commons.math3.util.MathArrays.ebeAdd(d_array3, d_array11);
    double[] d_array13 = org.apache.commons.math3.util.MathArrays.scale(1.8680021680446304d, d_array11);
    double[] d_array16 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException22 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection20, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection23 = nonMonotonicSequenceException22.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array16, orderDirection23, false);
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array29);
    double[] d_array31 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array29);
    double d32 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array31);
    double[] d_array36 = new double[] { 0.0d, 0.0d };
    double[] d_array38 = org.apache.commons.math3.util.MathArrays.copyOf(d_array36, 1);
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D43 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array42);
    double[] d_array44 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array42);
    double[] d_array45 = org.apache.commons.math3.util.MathArrays.ebeAdd(d_array36, d_array44);
    double[] d_array46 = org.apache.commons.math3.util.MathArrays.scale(1.8680021680446304d, d_array44);
    double d47 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array31, d_array46);
    double[] d_array48 = org.apache.commons.math3.util.MathArrays.convolve(d_array11, d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(3.141592653589793E200d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.483113556160754E198d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)100, (java.lang.Number)200.0d, 10, orderDirection3, false);
    java.lang.Throwable[] throwable_array6 = nonMonotonicSequenceException5.getSuppressed();
    boolean b7 = nonMonotonicSequenceException5.getStrict();
    boolean b8 = nonMonotonicSequenceException5.getStrict();
    boolean b9 = nonMonotonicSequenceException5.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    double[] d_array3 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 100);
    double[] d_array9 = new double[] { 0.0d, 0.0d, 0.0d };
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.copyOf(d_array9, 100);
    boolean b12 = org.apache.commons.math3.util.MathArrays.equals(d_array5, d_array11);
    double[] d_array15 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection19 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException21 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection19, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection22 = nonMonotonicSequenceException21.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array15, orderDirection22, false);
    double d25 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array15);
    double[] d_array28 = new double[] { 0.0d, 0.0d };
    double[] d_array30 = org.apache.commons.math3.util.MathArrays.copyOf(d_array28, 1);
    double[] d_array33 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection37 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException39 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection37, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection40 = nonMonotonicSequenceException39.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array33, orderDirection40, false);
    double[] d_array43 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array28, d_array33);
    double[][] d_array_array44 = new double[][] { d_array33 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array15, d_array_array44);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array5, d_array_array44);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    double d3 = vector2D0.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line7 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D0, vector2D4);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d11 = vector2D10.getNorm();
    double d12 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector2D10);
    double d13 = vector2D10.getY();
    double d14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D4, vector2D10);
    double d15 = vector2D10.getX();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space17 = vector2D16.getSpace();
    double d18 = vector2D16.getNormSq();
    double d19 = vector2D16.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space21 = vector2D20.getSpace();
    double d22 = vector2D20.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line23 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D16, vector2D20);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space25 = vector2D24.getSpace();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d27 = vector2D26.getNorm();
    double d28 = vector2D24.distance((org.apache.commons.math3.geometry.Vector)vector2D26);
    double d29 = vector2D26.getY();
    double d30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D20, vector2D26);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = vector2D20.getZero();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine32 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D10, vector2D31);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D34 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D35 = vector1D34.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D38 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D39 = vector1D38.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D40 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D38);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D42 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D44 = vector1D42.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D45 = vector1D40.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D44);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D46 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D48 = vector1D46.scalarMultiply(1.0d);
    java.lang.String str49 = vector1D46.toString();
    double d50 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D45, vector1D46);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D52 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D54 = vector1D52.scalarMultiply(1.0d);
    double d55 = vector1D52.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D56 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D35, 10.0d, vector1D45, 2.0d, vector1D52);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint58 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D45, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Side side59 = subLine32.side((org.apache.commons.math3.geometry.partitioning.Hyperplane)orientedPoint58);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "{1}"+ "'", str49.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d50, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-3.3997520766429E204d), 100.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.Space space2 = vector3D0.getSpace();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    boolean b4 = vector3D3.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = vector3D3.getZero();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d7 = vector3D6.getY();
    double d8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D3, vector3D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = vector3D0.subtract((org.apache.commons.math3.geometry.Vector)vector3D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceSq(vector3D6, vector3D10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    boolean b7 = vector3D6.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = vector3D6.getZero();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = vector3D10.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d14 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D12, vector3D13);
    double d15 = vector3D13.getDelta();
    double d16 = vector3D13.getX();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D13.getZero();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(1.4142135623730951d, vector3D20);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d23 = vector3D22.getY();
    boolean b24 = vector3D22.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D22, vector3D25);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = vector3D20.subtract((org.apache.commons.math3.geometry.Vector)vector3D25);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-0.13241628998558208d), vector3D8, Double.POSITIVE_INFINITY, vector3D17, (-0.019248151357853363d), vector3D25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.13241628998558208d, vector3D1, (-33997.520766429d), vector3D3, 1.5515481754370433d, vector3D8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(100.0f, 9.536744E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.301427645545243d, 1.189207115002721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.6945720168365437d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.6439687185395058d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = vector1D0.normalize();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D0.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-3.3997520766429E204d), (java.lang.Number)(-1.5707963267948966d), false);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    double[] d_array2 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException8 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection6, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection9 = nonMonotonicSequenceException8.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection9, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection15 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException17 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection15, false);
    boolean b19 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array2, orderDirection15, false);
    double[] d_array20 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2);
    double[] d_array24 = new double[] { 0.0d, 0.0d };
    double[] d_array26 = org.apache.commons.math3.util.MathArrays.copyOf(d_array24, 1);
    double[] d_array30 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array30);
    double[] d_array32 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array30);
    double[] d_array33 = org.apache.commons.math3.util.MathArrays.ebeAdd(d_array24, d_array32);
    double[] d_array34 = org.apache.commons.math3.util.MathArrays.scale(1.8680021680446304d, d_array32);
    double d35 = org.apache.commons.math3.util.MathArrays.distance1(d_array20, d_array32);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = vector3D36.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d40 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D38, vector3D39);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = vector3D38.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D44 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-0.01924815135785336d), (-0.01924815135785336d));
    double d45 = vector3D44.getDelta();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D46 = vector3D38.subtract((org.apache.commons.math3.geometry.Vector)vector3D44);
    double[] d_array47 = vector3D46.toArray();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array48 = org.apache.commons.math3.util.MathArrays.ebeSubtract(d_array20, d_array47);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == (-0.01924815135785336d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-0.9999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.9999999f);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    bSPTree3.setAttribute((java.lang.Object)(-1.0d));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree15 = bSPTree3.getParent();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet16 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree15);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = intervalsSet16.getSup();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree15);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    double[] d_array3 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array3);
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.scale(0.0d, d_array3);
    double[] d_array6 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3);
    double[] d_array9 = new double[] { 0.0d, 0.0d };
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.copyOf(d_array9, 1);
    double[] d_array14 = new double[] { 1.0d, 1.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection18 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException20 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)100, (java.lang.Number)(-1), 10, orderDirection18, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection21 = nonMonotonicSequenceException20.getDirection();
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array14, orderDirection21, false);
    double[] d_array24 = org.apache.commons.math3.util.MathArrays.ebeMultiply(d_array9, d_array14);
    double d25 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array9);
    double d26 = org.apache.commons.math3.util.MathArrays.distance1(d_array6, d_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(d_array9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(byte)10);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space5 = vector2D4.getSpace();
    double d6 = vector2D4.getNormSq();
    double d7 = vector2D4.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space9 = vector2D8.getSpace();
    double d10 = vector2D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D8);
    boolean b12 = bSPTree3.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line11);
    org.apache.commons.math3.geometry.euclidean.twod.Line line13 = line11.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NEGATIVE_INFINITY;
    line13.reset(vector2D14, vector2D15);
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet17 = line13.wholeSpace();
    double d18 = polygonsSet17.getBoundarySize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(400.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8509193596391765d));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_J;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = vector3D3.scalarMultiply(100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D5, vector3D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9367003025652924d, vector3D1, (-0.5689240493544077d), vector3D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d10 = vector3D9.getY();
    boolean b11 = vector3D9.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d13 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D9, vector3D12);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.5707963267948966d), (-0.01924815135785336d), 1.189207115002721d);
    org.apache.commons.math3.geometry.euclidean.threed.SubLine subLine18 = new org.apache.commons.math3.geometry.euclidean.threed.SubLine(vector3D9, vector3D17);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = vector3D1.add((org.apache.commons.math3.geometry.Vector)vector3D17);
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane20 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet21 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine22 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane20, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet21);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D24 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D25 = vector1D24.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D26 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D24);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D30 = vector1D28.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D31 = vector1D26.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D30);
    org.apache.commons.math3.geometry.partitioning.Region.Location location32 = intervalsSet21.checkPoint((org.apache.commons.math3.geometry.Vector)vector1D30);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D33 = vector3D19.subtract((org.apache.commons.math3.geometry.Vector)vector1D30);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location32);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine2 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane0, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet1);
    org.apache.commons.math3.geometry.partitioning.Region region3 = subLine2.getRemainingRegion();
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane4 = null;
    org.apache.commons.math3.geometry.partitioning.Region region5 = null;
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine6 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane4, region5);
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane7 = subLine6.copySelf();
    org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane8 = subLine6.copySelf();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane abstractSubHyperplane9 = subLine2.reunite((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractSubHyperplane8);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space1 = vector2D0.getSpace();
    double d2 = vector2D0.getNormSq();
    boolean b3 = vector2D0.isNaN();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = vector1D6.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D6);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D10.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = vector1D8.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D12);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = vector1D14.scalarMultiply(1.0d);
    java.lang.String str17 = vector1D14.toString();
    double d18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D13, vector1D14);
    double d19 = vector1D14.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D22 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = vector1D22.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D26 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D27 = vector1D26.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D26);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D30 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D32 = vector1D30.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D33 = vector1D28.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D32);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D34 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D36 = vector1D34.scalarMultiply(1.0d);
    java.lang.String str37 = vector1D34.toString();
    double d38 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D33, vector1D34);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D40 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D42 = vector1D40.scalarMultiply(1.0d);
    double d43 = vector1D40.getNormSq();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D44 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.5707963267948966d, vector1D23, 10.0d, vector1D33, 2.0d, vector1D40);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D46 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D48 = vector1D46.scalarMultiply(1.0d);
    java.lang.String str49 = vector1D46.toString();
    boolean b50 = vector1D46.isInfinite();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException54 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree55 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree56 = bSPTree55.getPlus();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree57 = bSPTree55.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D59 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D60 = vector1D59.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D61 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(Double.NaN, vector1D59);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D63 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D65 = vector1D63.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D66 = vector1D61.subtract(22025.465794806718d, (org.apache.commons.math3.geometry.Vector)vector1D65);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree67 = bSPTree57.getCell((org.apache.commons.math3.geometry.Vector)vector1D66);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D68 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(100.0d, vector1D14, (-0.8414709848078965d), vector1D23, 1.189207115002721d, vector1D46, Double.POSITIVE_INFINITY, vector1D66);
    double d69 = vector1D68.getX();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D71 = vector1D68.scalarMultiply((-1.7627471740390859d));
    // The following exception was thrown during execution in test generation
    try {
      double d72 = vector2D0.distanceSq((org.apache.commons.math3.geometry.Vector)vector1D68);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "{1}"+ "'", str17.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "{1}"+ "'", str37.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "{1}"+ "'", str49.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d69, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D71);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    double[] d_array2 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array2);
    boolean b4 = vector2D3.isInfinite();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = vector2D3.scalarMultiply(0.0d);
    org.apache.commons.math3.geometry.Vector vector7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = vector2D3.dotProduct(vector7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D6);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet0 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    double d1 = intervalsSet0.getSup();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = intervalsSet0.getTree(true);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = intervalsSet0.isEmpty(bSPTree4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree3);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.Hyperplane hyperplane1 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet2 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine3 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane1, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet2);
    org.apache.commons.math3.geometry.partitioning.Region region4 = subLine3.getRemainingRegion();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine5 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(hyperplane0, region4);
    org.apache.commons.math3.geometry.partitioning.Region region6 = subLine5.getRemainingRegion();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException9 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree10 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space12 = vector2D11.getSpace();
    double d13 = vector2D11.getNormSq();
    double d14 = vector2D11.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space16 = vector2D15.getSpace();
    double d17 = vector2D15.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line18 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D11, vector2D15);
    boolean b19 = bSPTree10.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line18);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException22 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree23 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space25 = vector2D24.getSpace();
    double d26 = vector2D24.getNormSq();
    double d27 = vector2D24.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space29 = vector2D28.getSpace();
    double d30 = vector2D28.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line31 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D24, vector2D28);
    boolean b32 = bSPTree23.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line31);
    boolean b33 = line18.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line31);
    double d34 = line31.getOriginOffset();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException37 = new org.apache.commons.math3.exception.DimensionMismatchException(1, (-127));
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree38 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space40 = vector2D39.getSpace();
    double d41 = vector2D39.getNormSq();
    double d42 = vector2D39.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D43 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.Space space44 = vector2D43.getSpace();
    double d45 = vector2D43.getNormSq();
    org.apache.commons.math3.geometry.euclidean.twod.Line line46 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D39, vector2D43);
    boolean b47 = bSPTree38.insertCut((org.apache.commons.math3.geometry.partitioning.Hyperplane)line46);
    boolean b48 = line31.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line46);
    org.apache.commons.math3.geometry.euclidean.twod.Line line49 = new org.apache.commons.math3.geometry.euclidean.twod.Line(line31);
    org.apache.commons.math3.geometry.euclidean.twod.Line line50 = new org.apache.commons.math3.geometry.euclidean.twod.Line(line31);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.SubHyperplane.SplitSubHyperplane splitSubHyperplane51 = subLine5.split((org.apache.commons.math3.geometry.partitioning.Hyperplane)line31);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = vector1D0.scalarMultiply(1.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = vector1D0.negate();
    java.text.NumberFormat numberFormat4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = vector1D0.toString(numberFormat4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.9737901925290313d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.72342435102012E-39d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0f, 0.0f, 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    int[] i_array0 = new int[] {  };
    int[] i_array4 = new int[] { 1, 1, 0 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    int i6 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array0, i_array5);
    int[] i_array9 = new int[] { 1, 0 };
    int[] i_array11 = org.apache.commons.math3.util.MathArrays.copyOf(i_array9, 0);
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = org.apache.commons.math3.util.MathArrays.distance(i_array5, i_array12);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-33997.52076642903d), 1.5657963684609384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-33997.52076642903d));

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.2676506E32f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

}
